commit 011ef056502fffd6c6c27dfa0722f4e7634b5236
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:   2015-08-05

    Bind git_reference_dwim

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 99dbdc104e087c83776c3502d71396862d2c6b1c
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2015-08-04

    Conditionally support SSH in clone example

M	examples/clone.c

commit 950fc474bd184700a4aff0b4267163f74b9b15fa
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2015-08-04

    Add create_repository and create_remote virtual methods to
    GgitCloneOptions

    This makes GgitCloneOptions an object instead of a boxed type.

M	examples/clone.c
M	libgit2-glib/ggit-clone-options.c
M	libgit2-glib/ggit-clone-options.h
M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 3e1321ab856d9f0497606658d57c7eaa226075e5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-08-04

    Post release version bump

M	configure.ac

commit dcb7de87fc8b4d84bc2ca57343f6f41f5a781018
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-08-04

    Release 0.23.2

M	NEWS
M	README
M	configure.ac

commit b5fab04f953e9fbb8774d754a1e854879663afee
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2015-08-01

    Add submodule invalidation to protect against invalid access

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-submodule.h

commit 6d108f1c8fade923ffc90e888b78a80c86d98843
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2015-08-01

    Update ggit_repository_submodule_foreach documentation

M	libgit2-glib/ggit-repository.c

commit 260a506bed59b193e23f63b97d6a6ab0505a2d9d
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:	2015-08-01

    Fix return value for ggit_fetch_options_get_download_tags

    https://bugzilla.gnome.org/show_bug.cgi?id=753122

M	libgit2-glib/ggit-fetch-options.c

commit 5cd3b1dde07c9dc1c2d235fb33a27c45658730da
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2015-07-31

    Allow to enable debug builds

M	configure.ac

commit 20990e8ecbe6fdec4aa9d5c29de01a7d74282d4a
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2015-07-31

    Fix copying of fetch options

M	libgit2-glib/ggit-clone-options.c

commit f0b1af567a03a4784aadda735224be93cf1b2fe5
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2015-07-31

    Add ggit_fetch_get/set_download_tags

M	libgit2-glib/ggit-fetch-options.c
M	libgit2-glib/ggit-fetch-options.h

commit 1ba947cc2b2e695283f69c514a2ae018b986829f
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2015-07-31

    Add ggit_config_snapshot

M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-config.h

commit d93ccac61fe9a8ba2acf41cdc86885dfacb39128
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-27

    Post release version bump

M	configure.ac

commit bb598718d8a7c03de7369d852b35b9f49c147144
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-26

    Release 0.23.0

M	NEWS
M	README
M	configure.ac

commit 53f1bd5c7f1745ad58709555569c6a995aafc04c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-26

    Remove useless macro

M	libgit2-glib/ggit-object-factory.c

commit baa3b35ce4d8555ab1b2cb0a7b8848b51b242e97
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-26

    signature: missed parent_instance

M	libgit2-glib/ggit-signature.c

commit a03a69dcb657cb8c9283820d5e047219802d86cf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-25

    submodule_update_options: fetch-options is a boxed

M	libgit2-glib/ggit-submodule-update-options.c

commit 9faaeec75d830c93472aeebaaba47d63355de6b8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-25

    cherry-pick-options: fix boxed vs object

M	libgit2-glib/ggit-cherry-pick-options.c

commit c3b603cd6ced4fdeb016879ca37e41f09fbe061a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-25

    Remove autocleanup header

M	libgit2-glib/Makefile.am
D	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-cred-plaintext.h
M	libgit2-glib/ggit-cred-ssh-key-from-agent.h
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit.h.in

commit b239ba847dc230807a7abdb927a26e097b370410
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-25

    Port GgitCredSshInteractive to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-cred-ssh-interactive.c
M	libgit2-glib/ggit-cred-ssh-interactive.h
M	libgit2-glib/ggit-types.h

commit 125942a206844552dab26b28443094850292ed72
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-25

    Port GgitCred to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-cred.c
M	libgit2-glib/ggit-cred.h
M	libgit2-glib/ggit-fetch-options.h
M	libgit2-glib/ggit-remote-callbacks.h
M	libgit2-glib/ggit-types.h
M	libgit2-glib/ggit.h.in

commit 750f9f63426e6126c4f39470ac42eef86590b0dd
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-25

    Port GgitCredPlaintext to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-cred-plaintext.c
M	libgit2-glib/ggit-cred-plaintext.h
M	libgit2-glib/ggit-types.h

commit 8e799ad91928a59eb90228bafa2e65eddc2eda29
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-25

    Port GgitCredPlaintext to the new private

M	libgit2-glib/ggit-cred-plaintext.c
M	libgit2-glib/ggit-cred-plaintext.h

commit 74108ec88c320cfad796c68ed0d5212dcee7c39d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-25

    Port GgitCredSshInteractive to the new private

M	libgit2-glib/ggit-cred-ssh-interactive.c
M	libgit2-glib/ggit-cred-ssh-interactive.h

commit 26f1e7f842e64ba5dfdcdfd5d26e7a6130badd3e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-25

    Port GgitCredSshKeyFromAgent to G_DECLARE_FINAL_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-cred-ssh-key-from-agent.c
M	libgit2-glib/ggit-cred-ssh-key-from-agent.h
M	libgit2-glib/ggit-types.h

commit eded5d76c8c9c632dfc53144774ed268842d4fd2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-22

    cred: minor cleanup

M	libgit2-glib/ggit-cred.c

commit 40eff9973505d8f397af265e4e4ae3ed4f609ceb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-22

    Port GgitRemote to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit 87b97749460802d7814b143797330858fd69efb0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-22

    Port GgitDiffFormatEmailOptions to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-diff-format-email-options.c
M	libgit2-glib/ggit-diff-format-email-options.h
M	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-types.h

commit 88ef97b4adaeaf9262155485e5c1b87fc6401551
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-22

    Port GgitSubmoduleUpdateOptions to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-submodule-update-options.c
M	libgit2-glib/ggit-submodule-update-options.h
M	libgit2-glib/ggit-types.h

commit 18b8fae20c73e9c0b99ec1cf12c638a1f2b3d3e4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-22

    Port GgitRevisionWalker to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-revision-walker.c
M	libgit2-glib/ggit-revision-walker.h
M	libgit2-glib/ggit-types.h

commit cd7b95680914823013f842bda550bf9b98f80ecb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-22

    Port GgitTreeBuilder to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-tree-builder.c
M	libgit2-glib/ggit-tree-builder.h
M	libgit2-glib/ggit-types.h

commit 9246d19511fb8f0cd0ef9bbe9c217f94ac3cdbb4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-22

    Port GgitRemoteCallbacks to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-remote-callbacks.c
M	libgit2-glib/ggit-remote-callbacks.h
M	libgit2-glib/ggit-remote.h
M	libgit2-glib/ggit-types.h

commit 273693e1923382821dc6f768d678b0ac396cb485
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-17

    Port GgitDiffOptions to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-diff-options.c
M	libgit2-glib/ggit-diff-options.h
M	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-types.h

commit 3b56a5f50c8511310fd523bc0d28982b3c20fc4a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-17

    Port GgitDiffFindOptions to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-diff-find-options.c
M	libgit2-glib/ggit-diff-find-options.h
M	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-types.h

commit b376fc3191e332061ea67c2cf9d1ac5ddecd31cd
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-16

    Port GgitPushOptions to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-push-options.c
M	libgit2-glib/ggit-push-options.h
M	libgit2-glib/ggit-types.h

commit 9b05a7981105924a6af6a81df123f099eda24140
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-16

    Port GgitIndex to G_DECLARE_FINAL_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-index-entry-resolve-undo.h
M	libgit2-glib/ggit-index-entry.h
M	libgit2-glib/ggit-index.c
M	libgit2-glib/ggit-index.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit 0f8827d6d2d8f2520e439099218cd09c736de6d7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-16

    Port GgitSignature to G_DECLARE_FINAL_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-blame.h
M	libgit2-glib/ggit-commit.h
M	libgit2-glib/ggit-diff-format-email-options.h
M	libgit2-glib/ggit-reflog-entry.h
M	libgit2-glib/ggit-reflog.h
M	libgit2-glib/ggit-signature.c
M	libgit2-glib/ggit-signature.h
M	libgit2-glib/ggit-types.h

commit 1c23a448ce884de63f7f77c9e32c8fb4b1337f92
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-16

    repository: use G_ADD_PRIVATE instead of keeping the priv member

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 38af57b978c0c123855d47675705a71b5c59c21d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-16

    Port GgitCherryPickOptions to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-cherry-pick-options.c
M	libgit2-glib/ggit-cherry-pick-options.h
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit ac6efcbbfc5f18deb809b0e641581cc5f452b189
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-16

    Port GgitCommitParent to G_DECLARE_FINAL_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-commit-parents.c
M	libgit2-glib/ggit-commit-parents.h
M	libgit2-glib/ggit-commit.h
M	libgit2-glib/ggit-types.h

commit bee6c7edc7a9014dc5f96952ea699b8be0a4ce2f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-16

    Port GgitBlobOutputStream to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-blob-output-stream.c
M	libgit2-glib/ggit-blob-output-stream.h
M	libgit2-glib/ggit-types.h

commit 03273179cd464cc44ea54fb26359f8c4eb4d049b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-15

    Port GgitTree to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-checkout-options.h
M	libgit2-glib/ggit-commit.h
M	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-tree.c
M	libgit2-glib/ggit-tree.h
M	libgit2-glib/ggit-types.h

commit bbccb92a9b323630b32144ef5db6d924266989dd
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-15

    Move autoclean macros to their respective headers

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-blame-options.h
M	libgit2-glib/ggit-blame.h
M	libgit2-glib/ggit-branch-enumerator.h
M	libgit2-glib/ggit-clone-options.h
M	libgit2-glib/ggit-config-entry.h
M	libgit2-glib/ggit-cred-ssh-interactive.h
M	libgit2-glib/ggit-diff-delta.h
M	libgit2-glib/ggit-diff-file.h
M	libgit2-glib/ggit-diff-hunk.h
M	libgit2-glib/ggit-diff-line.h
M	libgit2-glib/ggit-diff-similarity-metric.h
M	libgit2-glib/ggit-index-entry-resolve-undo.h
M	libgit2-glib/ggit-index-entry.h
M	libgit2-glib/ggit-merge-options.h
M	libgit2-glib/ggit-note.h
M	libgit2-glib/ggit-oid.h
M	libgit2-glib/ggit-patch.h
M	libgit2-glib/ggit-ref-spec.h
M	libgit2-glib/ggit-reflog-entry.h
M	libgit2-glib/ggit-reflog.h
M	libgit2-glib/ggit-remote.h
M	libgit2-glib/ggit-revert-options.h
M	libgit2-glib/ggit-status-options.h
M	libgit2-glib/ggit-submodule.h
M	libgit2-glib/ggit-transfer-progress.h
M	libgit2-glib/ggit-tree-entry.h

commit d02519cf7dcba18ce0d1e185091f3a13b7b1de84
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-15

    Port GgitDiff to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-diff.c
M	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-patch.h
M	libgit2-glib/ggit-types.h

commit 7756c7b51c3d3776fad0011ffb0948449526f5f7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-15

    Port GgitTag to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-tag.c
M	libgit2-glib/ggit-tag.h
M	libgit2-glib/ggit-types.h

commit 08096bed34e1ecb592d6390309f7d4bdb90b4c0b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-14

    Port GgitCommit to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-commit-parents.h
M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-commit.h
M	libgit2-glib/ggit-index-entry.h
M	libgit2-glib/ggit-types.h

commit c04fa26a2e83ef2132db0caa84452d9db2628947
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-14

    Port GgitCheckoutOptions to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-checkout-options.c
M	libgit2-glib/ggit-checkout-options.h
M	libgit2-glib/ggit-cherry-pick-options.h
M	libgit2-glib/ggit-revert-options.h
M	libgit2-glib/ggit-submodule-update-options.h
M	libgit2-glib/ggit-types.h

commit 61debd5dfa650df139cc020b845d6f2f9c82341f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-14

    Port GgitConfig to G_DECLARE_FINAL_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-config.h
M	libgit2-glib/ggit-types.h

commit 96c9787cab169ff27a1d180cc400548ed2010095
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-14

    Fix annotations

M	libgit2-glib/ggit-fetch-options.c
M	libgit2-glib/ggit-merge-options.c

commit d265d507fe240638d2a6802cbb73ca86d8d46fb0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-14

    Fix build

M	libgit2-glib/ggit-object-factory.c

commit 367d82933bd9d36edc85d8c9457070dc819ee7cf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-14

    Port GgitBranch to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-branch.c
M	libgit2-glib/ggit-branch.h
M	libgit2-glib/ggit-types.h

commit 7030a65ed5ab27e8567b32c038a0b050597bbab1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-14

    Remove redefinition of autoclean foo

M	libgit2-glib/ggit-autocleanup.h

commit 94dc0a33c7d2907d0a960266025dd22176fc0d09
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-14

    Port GgitBlob to G_DECLARE_FINAL_TYPE macro

M	libgit2-glib/ggit-blob.c
M	libgit2-glib/ggit-blob.h
M	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-patch.h
M	libgit2-glib/ggit-types.h

commit 1e40b1c6b12f04a7e2fd14a350c5df78345183e9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-14

    Port GgitRef to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h
M	libgit2-glib/ggit-reflog.h
M	libgit2-glib/ggit-types.h

commit 1c10e70f6bf085290a0c826d627c1da739a31bd8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-14

    Port GgitObject to G_DECLARE_DERIVABLE_TYPE macro

M	libgit2-glib/ggit-object.c
M	libgit2-glib/ggit-object.h
M	libgit2-glib/ggit-ref.h
M	libgit2-glib/ggit-types.h

commit 43612f6ad1f23c8c12fa44edc8c29659b29b3199
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-14

    Add missing include

M	libgit2-glib/ggit-repository.h

commit 1ee53a31b9b6cab1b853141dcbd34a8e6f1b563b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-14

    Port GgitBlame to G_DECLARE_FINAL_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-blame.c
M	libgit2-glib/ggit-blame.h
M	libgit2-glib/ggit-types.h

commit b730f2178983424bd35f62008c34fd2bf337136f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-14

    Port GgitNative to G_DECLARE_DERIVABLE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-native.c
M	libgit2-glib/ggit-native.h
M	libgit2-glib/ggit-types.h

commit c8cbec787bfa0cd2e2b205d6a92888f542febf79
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-14

    Port GgitObjectFactoryBase to G_DECLARE_DERIVABLE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-object-factory-base.c
M	libgit2-glib/ggit-object-factory-base.h
M	libgit2-glib/ggit-types.h

commit 3dc7f09de0ef5b744a8a7ee90ea609ddf447a4c1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-14

    Port GgitObjectFactory to G_DECLARE_FINAL_TYPE macro

M	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit-object-factory.c
M	libgit2-glib/ggit-object-factory.h
M	libgit2-glib/ggit-types.h

commit 4e31cbaef1b69de6a3e19577f9e3bf5b54ed4779
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-14

    Bump libgit2 version to 0.23.0

M	configure.ac

commit 74d0c24e805920a610cd8f52e0ed56db1ae7e333
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-14

    Bump glib version to 2.44

M	configure.ac

commit 5d74b3045fba32343a330afe77f933bf8aaa8d0b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-13

    Fix clone example

M	examples/clone.c

commit dc97e2c9d57b76a85a51adc0b4c160ce2f0e8450
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-13

    Update GgitCheckoutStrategy

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 5895410154b215167780bfec8ad9bcb4dd429994
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-13

    Fix comments

M	libgit2-glib/ggit-submodule-update-options.c
M	libgit2-glib/ggit-submodule-update-options.h

commit 79c3ac57f9a95e92abb4638fa5cd5d464c4a9de4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-13

    Fix GgitSubmoduleUpdateOptions for the api breaks

M	libgit2-glib/ggit-submodule-update-options.c
M	libgit2-glib/ggit-submodule-update-options.h

commit 293fb1808eeb0c892674fa49494bfaa39f86e9f7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-13

    ggit_submodule_set_update has been moved to repository.

    The new name is ggit_repository_set_submodule_update

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-submodule.h

commit 3379f972ba09c59697d54ff902a6603be3833457
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-13

    ggit_submodule_set_ignore has been moved to repository.

    The name name is ggit_repository_set_submodule_ignore

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-submodule.h

commit 3d89a0f7d405c38a5d84e57c0560f06077cd0af1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-13

    repository: add missing assertion

M	libgit2-glib/ggit-repository.c

commit 2d8b710e0234c166fb1b3942fb35ff6ac7dd4330
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-13

    ggit_submodule_set_fetch_recurse has been moved to repository

    The new name is ggit_repository_set_submodule_fetch_recurse

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-submodule.h

commit bb7924cf9eb74983f6a81453d3fd80debc75ab7e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-13

    Add GgitSubmoduleRecurse

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 7a79e3d4de492a1a21044db3fd5344e2aa147b4d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-13

    ggit_submodule_get_status has been moved to repository

    The new name for it is ggit_repository_get_submodule_status

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-submodule.h

commit 498f1653939de17c42e0f46c170de686c502a379
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-13

    Complete the previous patch

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-submodule.h

commit a22daa1cffd2c60f2c31ba6d5621b86b0b4893ef
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-13

    ggit_submodule_set_url is now in repository

    This was renamed to ggit_repository_set_submodule_url

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-submodule.c

commit 9577962346fb2f2730cf35235ea880476e30d89c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-13

    Fix ggit_repository_get_default_notes_ref to return allocated string

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit accfc0313a0cb07b888b7c09640ba6292fed27f1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-13

    Fix GgitSubmoduleUpdate

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit d45f8c150b2f629f3dfd82f1ca73103e3cbb2902
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-13

    Fix GgitSubmoduleIgnore

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit a106a3d6136c04fb3aeb44c0326eb6a83713f781
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-06

    Fix ggit_remote_update_tips for the api changes

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit fd00560e20b13c0cfa2576a2b57b8f9488d05a28
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-06

    GgitRemoteDownloadTagsType gets an UNSPECIFIED type

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 52b194cdf91492525652c68e60d9a5b79cd1fe09
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-06

    ggit_remote_set_push_specs has been removed

    There is no longer a way to set the base refspecs at run-time

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit 4230851bce131d9df871877c0b46c467043bf8df
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-06

    remote: remote_add_fetch_spec is now in the repository

    The method is now part of the repository changing the configuration
    of the remote and not affecting the loaded remotes.

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit dc3083c6e4fc2fdd0e64c4998e00fb8ed8c42219
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-06

    ggit_remote_set_fetch_specs has been removed

    There is no longer a way to set the base refspecs at run-time

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit ae87877f26606ee78f86b9bb72cff1ab4e4e61de
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:	2015-07-03

    configure.ac: fix bug report URL

M	configure.ac

commit f3d248844cfff007641a5b6fcf4aab4b91769a6e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-02

    remote: connect has now a callbacks parameter

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit c9e4bf22482cb43e7852644320c4c9422d9074af
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-01

    submodule: remove save method

    The submodules are no longer configured via the objects

M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-submodule.h

commit 79efbd987b3fc4162abf95317d4473b99f11da1d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-01

    remote: remove the callbacks and all the logic related to it.

    The remote no longer stores this configuration.

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit 847e510a7ef635571009b7009efcc68425c7371c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-01

    remote: the save method has been removed

    Remote's configuration is changed via the configuration
    directly or through a convenience function which performs changes to
    the configuration directly

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit 4dfed8d1ea1dc23424cf9fe23660088a7170698e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-01

    Fix repository_reset

    It does not get a signature and a log_message anymore

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 84527bf720a57908a700f2210f3a439fc7dddc45
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-01

    Fix create_reference methods

    They do not get a signature anymore

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 6cb702c47e8d0448afed383332d69af33d3c44f5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-01

    Fix ggit_repository_create_branch

    The signature and log_message were removed

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 9efc25bac5c646e4298d1c03866d775e4fcc0734
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-07-01

    Rename remote_add_push_spec as repository_add_remote_push

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit f388fa8ceadff84dcf4dc7e09d971fc383c83327
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-06-30

    remote: fix a couple of api breaks

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit 442194a09673a5e077516557b008ba3b77c25869
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-06-30

    ref: remove signature parameter

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h

commit 318bcfe132d5e4ed775de467d0548b3abb8ae158
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-06-30

    merge-options: fix rename of member

M	libgit2-glib/ggit-merge-options.c
M	libgit2-glib/ggit-merge-options.h

commit 2f6650a29a64d65dddf3c079c29a5869cdcc07c3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-06-30

    diff: add binary callback to the methods.

M	libgit2-glib/ggit-diff.c
M	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-types.h

commit 8822e80b33da84632634310184406189cb68ae15
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-06-30

    Add GgitDiffBinary boxed type

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-diff-binary.c
A	libgit2-glib/ggit-diff-binary.h
M	libgit2-glib/ggit-types.h

commit 8263f83db97ad5dc826b4096a32163a3e462208b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-06-30

    Add GgitDiffBinaryFile boxed type

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-diff-binary-file.c
A	libgit2-glib/ggit-diff-binary-file.h
M	libgit2-glib/ggit-types.h

commit dd0cfab3b426fa8fb7f364c8788acb9cb2caead5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-06-30

    Add GgitBinaryType enum

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 164841fcfd6ee4d62c627692369b72208b33ad37
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-06-30

    Port clone options to use a fetch options instead of remote callbacks

M	libgit2-glib/Makefile.am
M	libgit2-glib/ggit-clone-options.c
M	libgit2-glib/ggit-clone-options.h
A	libgit2-glib/ggit-fetch-options.c
A	libgit2-glib/ggit-fetch-options.h
M	libgit2-glib/ggit-types.h

commit 797cd7ce5530c04a0b96467ef4677a8a597018e1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-06-30

    branch: fix branch_move api break

M	libgit2-glib/ggit-branch.c
M	libgit2-glib/ggit-branch.h

commit 7b251bfb7f32570d00e2def1039ace5e3b48b777
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2015-05-19

    Add g_autoptr() autocleanup support

    https://bugzilla.gnome.org/show_bug.cgi?id=749597

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-autocleanup.h
M	libgit2-glib/ggit.h.in

commit 9392ab2d6eb83986926c01a2b6ef303ab0459169
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2015-04-29

    Post release version bump

M	configure.ac

commit c1a3f4164493e152522fc596c8d2b7fda44d424c
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2015-04-29

    Release 0.22.8

M	NEWS
M	README
M	configure.ac

commit 4cee9a9d356ee0fea8ac3aa060ce5b48a7ba62f9
Author: Kalev Lember <kalevlember@gmail.com>
Date:	2015-04-15

    configure: Include passed in cflags for ssh check

    This fixes the Fedora 23 build where the cflags and ldflags have to
    match. Otherwise, if the configure check throws away cflags but uses
    ldflags, the check fails with a linker error.

    https://bugzilla.gnome.org/show_bug.cgi?id=747874

M	configure.ac

commit 23ac0a147027c54aa40b1fa5b124dc778f1ced5e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-04-13

    Post release version bump

M	configure.ac

commit 316aa979cbd9c88ef0a6176efa4bb8d39f5c153b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-04-13

    Release 0.22.6

M	NEWS
M	README
M	configure.ac

commit c3224b70acfdbe0a9b4f927ca474cff4953f2453
Author: Christian Hergert <christian@hergert.me>
Date:	2015-04-13

    repository: add ggit_repository_path_is_ignored()

    This function is a convenience wrapper around
    git_ignore_path_is_ignored()
    which takes a git_repository* and a path.

    https://bugzilla.gnome.org/show_bug.cgi?id=747727

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit dcad30c3a26ad7f415f6efcb595a24990b4846be
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-04-07

    Post release version bump

M	configure.ac

commit 2316a13d3f9ded6da1c77abbf88afdfa04399990
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-04-07

    Release 0.22.4

M	NEWS
M	README
M	configure.ac

commit 01f1f6959446280d84008fbb947e8259cd904c88
Author: Christian Hergert <christian@hergert.me>
Date:	2015-04-06

    clone-options: zero all fields in ggit_clone_options_new()

M	libgit2-glib/ggit-clone-options.c

commit f9d56f425553596189729127f7888e8f9cb874f1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-03-23

    Post release version bump

M	configure.ac

commit 20ae7847fa1f444a69ecedfed33765743c33bb08
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-03-23

    Release 0.22.2

M	NEWS
M	README
M	configure.ac

commit a60bf58b66d5e362b62c9d8efa84f588cdd3e580
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2015-03-08

    Fixed error message typo

M	configure.ac

commit e5e6aaf195d464f325d71ae6a4639a8aa8ce0e17
Author: Rémi Cardona <remi@gentoo.org>
Date:	2015-01-20

    configure: Add flag to force on or off SSH support

    Remove an automagic dependency on libgit2's SSH support.

    Signed-off-by: Rémi Cardona <remi@gentoo.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=743236

M	configure.ac

commit f92bca0ee5c062214dfd51548d33c36696b4a8c3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-21

    Handle ownership of refs.

    Depending on where we are wrapping the reference we might need to
    free it.

M	libgit2-glib/ggit-branch-enumerator.c
M	libgit2-glib/ggit-branch.c
M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h
M	libgit2-glib/ggit-repository.c

commit 119aac898062eacd1f3e6a64ac095e6c54fb054d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-19

    cherry-pick-options: missing to install the merge-options property

M	libgit2-glib/ggit-cherry-pick-options.c

commit babf083d173506b8a4c56733996ed675d23e5b00
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    Post release version bump

M	configure.ac

commit 6adb2280039b68e888467d018b7ca97741591183
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    Release 0.22.0

M	NEWS
M	README

commit 5d3f9f4c3ed73a6dc14630e2692282f39383c664
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    configure: fix ssh check

M	configure.ac

commit fdfbc8bfe122c0b9d2e61e9f80023eefb01e8f92
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    cred-ssh-key-from-agent: add missing docs

M	libgit2-glib/ggit-cred-ssh-key-from-agent.c

commit d4dd194a34955a60b00fbce5f597518ff6fb07e3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    Bump version to 0.22.0

    We are now following the same version as libgit2

M	configure.ac

commit f02d8eecf44a2442315548fe5c1f3d18b3cdca0c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    Update ggit.h

M	libgit2-glib/ggit.h.in

commit e3628b125abd6d58d06c286bde76a2fb584892c3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    submodule: fix api break to use the new method

M	libgit2-glib/ggit-submodule.c

commit d4dac0315978d119baba742d52189fe997741f5d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    Wrap GgitSubmoduleUpdateOptions

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-submodule-update-options.c
A	libgit2-glib/ggit-submodule-update-options.h
M	libgit2-glib/ggit-types.h

commit 0ebefa9c75fd9b2e00a35ed73f6542e4bda7886a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    cherry-pick-options: add missing copyright and modeline

M	libgit2-glib/ggit-cherry-pick-options.c

commit c803bbdf48152eaefe1bdfea20dc065d1087b476
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    Fix cherry-pick options api break

M	libgit2-glib/ggit-cherry-pick-options.c

commit 9dd2b651bcdcf440d0c8c7a27925a10fdd3322fc
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    Replace GGIT_FILE_MODE_NEW with GGIT_FILE_MORE_UNREADABLE

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit e6ecf16001fc930b8287446ae79411aded98bd91
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    remote: fix download method for api break

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit 7d0a7e4de5775a1e9f71a9f00f0e2ead66bbb8cb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    remote: return the right type

M	libgit2-glib/ggit-remote.c

commit 78eebc970e63254bfa3f574765bc2a11b634d18e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    remote: removed is_valid_url and is_supported_url

    They have become essentially useless with rsync-style ssh paths.

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit 7d5d9994345eb35e8c746f66fa86d9d48cd8a0f7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    git_threads_init was renamed to git_libgit2_init

M	libgit2-glib/ggit-main.c

commit 4e4d9dbdba9f753663a14885d7d2d8ddcfe07af2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    repository: rename get_remote to lookup_remote

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 40edf539d8a8e987bec767e6458c68099c9f42a4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    Fix ggit_repository_reset for api break

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 20e0d7b91b04c8d863e704084d38d9cbfe6d1817
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    repository: more fixes on the tree builder api break

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit a63a3307fe0a935ac2c47f9f21f56af8fb8ab076
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    repository: treebuilder_create was changed to treebuilder_new

M	libgit2-glib/ggit-repository.c

commit 2d42b8ae4ebb161cdad179b11746dd5589af033f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    Fix for git_treebuilder_write api break

M	libgit2-glib/ggit-tree-builder.c

commit 115a1bf0a101c6bc5a8020ad0ba65e0ec1cd35c0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    Fix cherry pick api break

M	libgit2-glib/ggit-cherry-pick-options.c
M	libgit2-glib/ggit-cherry-pick-options.h
M	libgit2-glib/ggit-repository.c

commit c3cda865ed05ba41d418b56d6f635fb472cabc48
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    repository: follow libgit2 on the create_note arguments order

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 7848251ad16eb217fd9b92d6928133eb661d24fe
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    repository: fix api break in create_note

M	libgit2-glib/ggit-repository.c

commit 02ab9ca8ece97b8f5d6331d045f2cfc604e54184
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    clone-options: does not have the remote_name anymore

M	libgit2-glib/ggit-clone-options.c
M	libgit2-glib/ggit-clone-options.h

commit ef3770150ffc2f748e77ef828d1774c2ac79174d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    Remove GgitPush object

    This object has been also removed in libgit2 and integrated
    into the remote one

M	libgit2-glib/Ggit.py
M	libgit2-glib/Makefile.am
D	libgit2-glib/ggit-push.c
D	libgit2-glib/ggit-push.h
M	libgit2-glib/ggit-types.h

commit 78117ae7667be2513de5000190cc667feb540448
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-18

    config: ggit_config_refresh is not provided anymore

    libgit2 is now a bit smarter about this and does the refresh
    on read and write so there is no need to explicitely make a refresh.

M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-config.h

commit 413c91a9a11963a54974457515c4c87b28836e95
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2015-01-06

    oid: use the proper parameter name

M	libgit2-glib/ggit-oid.c

commit a606c69fac05d4610163a970f200edec8bc46dc5
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2015-01-05

    Add ggit_oid_has_prefix

M	libgit2-glib/ggit-oid.c
M	libgit2-glib/ggit-oid.h

commit 88ece28db5146e0522f24a134fbc914301e2bb41
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-25

    Bind git_push_update_tips

M	libgit2-glib/ggit-push.c
M	libgit2-glib/ggit-push.h

commit 5015430a7b1ed09a0d03878bea38f33311736e82
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-25

    Add GgitPushOptions

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-push-options.c
A	libgit2-glib/ggit-push-options.h
M	libgit2-glib/ggit-push.c
M	libgit2-glib/ggit-push.h
M	libgit2-glib/ggit-types.h

commit e2a578e8da08ada2d0a069199dc7754aaa05bdf8
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-25

    Remote GgitPushProgress

    Instead, provide signals on GgitPush to notify about
    progress.

M	libgit2-glib/Makefile.am
D	libgit2-glib/ggit-push-progress.c
D	libgit2-glib/ggit-push-progress.h
M	libgit2-glib/ggit-push.c
M	libgit2-glib/ggit-push.h

commit ed315bce381292b1fae2b6c977b84d1a86b81d5e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-12-25

    Minor cleanup

M	libgit2-glib/ggit-oid.c

commit 4fe86d353ced0472fb48a7302efd0d81b4647a55
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-24

    Bind git_remote_get_owner

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit 5adde8c36a26e8f82798935ab602edd4de23c7b4
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-24

    Track remote wrappers in a registry

M	libgit2-glib/ggit-repository.c

commit 4d14f46563651a676a4754ab600ae2c9a0bec128
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-24

    Small code style fix

M	libgit2-glib/ggit-remote-callbacks.c

commit baccda63e8786124760277ef95b121ad3de407dc
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-24

    Fix clone example for new credentials signature

M	examples/clone.c

commit e070359f5ee8bd1a77aa7474d995acf14a94f7ba
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-24

    Handle no-authentication case as passthrough

M	libgit2-glib/ggit-remote-callbacks.c

commit 3e53b92a28148dce29cd89f10a7d6c09935d4697
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-24

    More canonical signature for credentials vmethod

M	libgit2-glib/ggit-remote-callbacks.c
M	libgit2-glib/ggit-remote-callbacks.h

commit 8a3c43f83f04a5ffe6b85007d27054221d75e087
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-23

    Fix storing signal in wrong slot

M	libgit2-glib/ggit-remote-callbacks.c

commit d3c77faece89af0ba70b9bda0bb1967cdee80b05
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-23

    Bind ggit_oid_is_zero

M	libgit2-glib/ggit-oid.c
M	libgit2-glib/ggit-oid.h

commit 26a0307a43db425da88e571006a76c5291001e6d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-23

    Use signals for remote callbacks notifications

M	examples/clone.c
M	libgit2-glib/ggit-remote-callbacks.c
M	libgit2-glib/ggit-remote-callbacks.h

commit 85155d0f28a688a55900e30fa82f46b77ee001f7
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-23

    Bind git_remote_update_tips

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit 1f2c5eff0b896ec3e246778780d18f40596c6f4f
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-23

    Bind git_remote_download

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit 93aef19623ecf2c6bff3fcae81914bd8f6add047
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-23

    Proxy callbacks signals for convenience

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit 223ae13a8b6026d7b58e4753aa8f53cba8d1c20d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-23

    Added remote callbacks signals

M	libgit2-glib/ggit-remote-callbacks.c

commit 4e6ecf00d5b2bab9fca5ed5ce149edd13263ea8d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-23

    Code style cleanup

M	libgit2-glib/ggit-cred-ssh-interactive.c
M	libgit2-glib/ggit-cred-ssh-interactive.h
M	libgit2-glib/ggit-remote.c

commit 3ce8d14469325d949867efcecbe28a61b0c40177
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-23

    Add missing prompts annotations

M	libgit2-glib/ggit-cred-ssh-interactive.c

commit d4f4b2602a7dd5770e2977b384859dd63130bc21
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-23

    Fix prompts signature

M	libgit2-glib/ggit-cred-ssh-interactive.c
M	libgit2-glib/ggit-cred-ssh-interactive.h

commit efd39fa1e6aaed8c141902bd632ddc7d6a11b519
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-22

    Bind ggit_remote_new_anonymous

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit 84956f21b0b28c38d04fd544348495d38cc2e043
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-22

    Implement getting and setting remote ref specs

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit ef210d5aebc4915099209855139c25763eeb7ebe
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-22

    Fix annotation for string list

M	libgit2-glib/ggit-repository.c

commit cb71f7fc8e2a749a776f4698796808f466cefff7
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-22

    Implement setting remote callbacks

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit df47b7aadd782e1de01def73095cc79ed61678e0
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-22

    Add GgitDirection and GgitCredType enums

M	libgit2-glib/ggit-remote-callbacks.h
M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 07fee2776e7e758c8d0d40fb98f979b99db42377
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-22

    Make remote callbacks native return a pointer

M	libgit2-glib/ggit-clone-options.c
M	libgit2-glib/ggit-remote-callbacks.c
M	libgit2-glib/ggit-remote-callbacks.h

commit 0a5d440d21197157e029c4f8523786b435a451b4
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-21

    Use git_reference_is_branch instead of manual check

M	libgit2-glib/ggit-branch.c
M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-repository.c

commit 612c35297e64a5cadd8a41a23a0941dab3f93278
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-21

    Fix getting ref name for upstream tracking

M	libgit2-glib/ggit-branch.c

commit 48c030a5cd3c8ff440bb1ea810e5f34a0f141bf9
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-21

    Cleanly separate built sources

    This fixes building from builddir != srcdir

M	examples/Makefile.am
M	examples/clone.c
M	examples/general.c
M	examples/walk.c
M	libgit2-glib/Makefile.am
M	tests/Makefile.am
M	tests/repository.c

commit 88aa3b1b633bc229af4716742961bec9d5018b0a
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-21

    Do not confuse the enum scanner

M	libgit2-glib/ggit-types.h

commit f62565bba44816b19c20751b01bcaa2f7111e4ca
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-12-19

    submodule: use g_return_val_if_fail to fix the build

M	libgit2-glib/ggit-submodule.c

commit 55c649fa4d95e72e530bba1d070242b10d860ad8
Author: Jasper Lievisse Adriaanse <jasper@humppa.nl>
Date:	2014-07-30

    Rework synchronization for blob's state machine, effectively
    unbreaking on OpenBSD

    Rework synchronization around a state machine instead of trying
    to treat
    mutexes and condition variables like semaphores.  Should reduce the
    low-level locking operations and eliminates the attempt to lock a
    mutex in
    one thread but unlock it another that violates POSIX requirements.

    https://bugzilla.gnome.org/show_bug.cgi?id=734010

M	libgit2-glib/ggit-blob-output-stream.c

commit 762dfdc0e74bf23d941780f680b3a492c9394b00
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-15

    Fix alignment

M	libgit2-glib/ggit-commit-parents.c

commit 75d73662b48ba81cb9ecfe10b4817cbfcc99af05
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-14

    Make GgitCommitParents implement vala iterator protocol

M	examples/walk.c
M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-commit-parents.c
A	libgit2-glib/ggit-commit-parents.h
M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-commit.h
M	libgit2-glib/ggit.h.in

commit 0156991832b6fd7d1365c3e9de71d1085dc16882
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-14

    Added ggit_index_entry_set_commit

M	libgit2-glib/ggit-index-entry.c
M	libgit2-glib/ggit-index-entry.h

commit 24805e9c2ba55c1cfd493245ac2652f840da214c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-14

    Set filemode to tree when statting directories for index entries

M	libgit2-glib/ggit-index-entry.c

commit f44e4545f0d248a216ccba9fa0508021e1f4235d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-13

    Set workdir after wrapping repository

M	libgit2-glib/ggit-repository.c

commit bb893bbb8b1602bb3b01e950704ec40a14a53210
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-12-13

    Bind ggit_submodule_open

M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-submodule.h

commit 5cc7e24f7e4eb2c09f861fb7f86279e9df2197bf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-11-04

    Post release version bump

M	configure.ac

commit 5a5d6e5c9b416a0ceee5c244509117f79aff4db6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-11-04

    Release 0.0.24

M	NEWS
M	README
M	configure.ac

commit 0f4bf192d2866fb3e054b569437f29664c5b8f1e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-10-19

    Use the right type for the user data

M	libgit2-glib/ggit-types.h

commit b9bed9d9d5eb65a19e1ac89c11e7eff4dc7f6f99
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-10-19

    Bind for ggit_repository_note_foreach

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit 4ac4549fc0f03a231f2fb59a532ff7e8aa20c3d0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-10-18

    repository: improve docs

M	libgit2-glib/ggit-repository.c

commit 560add3c8fe3328d3d6ae3f4f883f686d8f0f914
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-10-18

    Provide ggit_repository_read_note

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit cd18205884b0ef6ad93ca75cb4ebcce25e89a3eb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-10-18

    Basic wrapping for GgitNote

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-note.c
A	libgit2-glib/ggit-note.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit 290f483222bc9805474f344d094358dd6ab052af
Author: Christian Hergert <christian@hergert.me>
Date:	2014-09-28

    Fix user_data parameter in ggit_diff_blob_to_buffer()

    gpointer is already a (void *), so the extra * only causes type
    warnings
    with the compiler. No ABI break necessary.

M	libgit2-glib/ggit-diff.c
M	libgit2-glib/ggit-diff.h

commit b35ef3013d5fa3a17d897dd834a29489837f8471
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-09-15

    Post release version bump to 0.0.23

M	configure.ac

commit a3b598538780d22a22fde08cc2e3db14ccd2681e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-09-15

    Release 0.0.22

M	NEWS
M	README
M	configure.ac

commit a76152e2e1992a013a53105a95d16f4617ac0c28
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-12

    Check for availability of termios.h for clone example

M	configure.ac
M	examples/Makefile.am

commit f31983e217974d75a75ed4987858d938c3b816cb
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-10

    Make sure to include libssh2 before git2

M	libgit2-glib/ggit-cred-ssh-interactive.c
M	libgit2-glib/ggit-cred-ssh-key-from-agent.c

commit b4834248aa8150db8fc43449d38d22ee630d89ac
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-10

    Ignore ssh related headers for docs if ssh is disabled

M	docs/reference/Makefile.am

commit 095df154dd243a8ab2b2a875e1cd2b0828bd4149
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-10

    Show warning after configure if SSH was not enabled

M	configure.ac

commit 68abf7450d41b51485e40c318537858e72839e51
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-10

    Fix warning about missing cast in walk example

M	examples/walk.c

commit 01f205bfe8596be8c606248119159d8e29d00fff
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-10

    Add missing gprintf includes in examples

M	examples/clone.c
M	examples/walk.c

commit a758b5fe3d3b6b4d6beabd38ed995745ab320eb1
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-09-10

    Fix ggit.h when ssh is not enabled

M	configure.ac
M	libgit2-glib/Makefile.am
R095	libgit2-glib/ggit.h	libgit2-glib/ggit.h.in

commit 1abb137fed2e7c3002b78e46c7c84a423ad92a52
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-08-23

    Fix diffing a blob to a buffer using GObject-Introspection

    Must use guint8 for a byte array not gchar, otherwise
    Python can't use the method at all. This is already done
    in various other places that provide the length.

M	libgit2-glib/ggit-diff.c
M	libgit2-glib/ggit-diff.h

commit 790f55e252213dc4586eee1e84894eee5b3984de
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2014-08-23

    Update and fixup the overrides

    Support more iterable types, don't have str() act like repr(),
    correctly override classes, use pygobject's new
    get_introspection_module(), add license and more.

M	libgit2-glib/Ggit.py

commit ade119ba04719ecf749aa36bfa008e0889abf9a1
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-07-29

    Bind ggit_repository_cherry_pick_commit

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 140a3fa18fe62f7deb87282f22c2f48db99bd0f6
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-07-29

    Use correct type for mainline

M	libgit2-glib/ggit-cherry-pick-options.c
M	libgit2-glib/ggit-cherry-pick-options.h

commit 3f4014a401f8215099ea49008415ceb84798a4da
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:	2014-07-29

    Add ggit-diff-format-email-options.h to ggit.h

    https://bugzilla.gnome.org/show_bug.cgi?id=733894

M	libgit2-glib/ggit.h

commit f15c7707fb1a3c971f7b429abb8928c0c0e1ebda
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-07-27

    Implement iterator protocol for branch enumerator

M	libgit2-glib/ggit-branch-enumerator.c
M	libgit2-glib/ggit-branch-enumerator.h

commit 80ee4d782d98b69b4198a11d039e74b770c9ab62
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-07-27

    Fix typo in API

M	libgit2-glib/ggit-checkout-options.c
M	libgit2-glib/ggit-checkout-options.h

commit ad6cac735ea97ed00b641a3e55d304fb14a4be99
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-07-27

    Bind git_cherry_pick

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-cherry-pick-options.c
A	libgit2-glib/ggit-cherry-pick-options.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit 3ae27572948e137a1fc7553c8731c8c859d5b2b4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-07-24

    Post release version bump to 0.0.21

M	configure.ac

commit 2eb60211840bb8cc29397c97f5f5d6206ad6ff8b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-07-24

    Release 0.0.20

M	NEWS
M	README
M	configure.ac

commit 5aeaf290f93943ee4ab47b6b2b2114a1910b6c20
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-07-24

    No need to declare DATADIR and LIBDIR

M	libgit2-glib/Makefile.am

commit cd6aac7bb7d7a4343e13fc6ea39a706c0200058e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-07-24

    types: remove extra comma on the last enum value

M	libgit2-glib/ggit-types.h

commit 02e7a055282ff35b4d08d36fad9112caeab9d773
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-07-24

    Give CC to gir scanner

M	libgit2-glib/Makefile.am

commit c2f34a73d81a0cacd59ea4a6aa778e737174d978
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-07-21

    Implemented diff_format_email

M	libgit2-glib/ggit-diff.c
M	libgit2-glib/ggit-diff.h

commit 493add042c7cf017201b6b4b4c61883c9ad0bd94
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-07-20

    Add GgitDiffFormatEmailOptions

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-diff-format-email-options.c
A	libgit2-glib/ggit-diff-format-email-options.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 3859e7e592218a61c9ece792ca19b804329a9b2a
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-07-11

    Added encoding test

M	tests/repository.c

commit 1bf9a49b12810bee3db9caed60b5cce8f5a6a89c
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-30

    Initialize diff options properly

M	libgit2-glib/ggit-diff-options.c

commit ad0998751d640a044c0f79bda3ab39aec9b81cdf
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-30

    Allow none for pathspec

M	libgit2-glib/ggit-diff-options.c

commit 75793f11e0240cb24813087073570888368c4670
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-30

    Added vala bindings

M	configure.ac
M	libgit2-glib/Makefile.am
A	m4/vapigen.m4

commit 7bd5b30c2e35a245824243639cf4762580e1ac07
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-30

    Make flags properties introspectable

M	libgit2-glib/ggit-checkout-options.c
M	libgit2-glib/ggit-diff-find-options.c
M	libgit2-glib/ggit-diff-options.c

commit 8b2a3e4138e380e30a1a2f64dd5245e8b1c6ebe8
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-30

    Make GgitDiffOptions an object

M	libgit2-glib/ggit-diff-options.c
M	libgit2-glib/ggit-diff-options.h

commit 88a12740c86b7b5b447d1ce1f62093c0f4c9dbbf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-06-30

    Post release version bump to 0.0.19

M	configure.ac

commit bddb4c871288f58687e9a0cebf8a6da620c778aa
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-06-30

    Release 0.0.18

M	NEWS
M	README
M	configure.ac

commit ab252744b0749223892bba50b4b2acd36f492a54
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-06-25

    Update part of the documentation

M	docs/reference/libgit2-glib-1.0-sections.txt

commit d71d7865dad384ce1fca4f48cc6f8f4c4430cc26
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-28

    Allow NULL for options

M	libgit2-glib/ggit-diff.c

commit 8f7ae0e503f54b778b494f9b424d26de0b9c1b8b
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-27

    Add ggit_diff_find_similar

M	libgit2-glib/ggit-diff.c
M	libgit2-glib/ggit-diff.h

commit e8d667ffb8dd921bde029c23661df371a67561e6
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-27

    Set default property values of GgitDiffFindOptions

M	libgit2-glib/ggit-diff-find-options.c

commit 6b363635a486fa84d8688fe1b36c624c6befab7f
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-26

    Added GgitDiffFindOptions

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-diff-find-options.c
A	libgit2-glib/ggit-diff-find-options.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 76f9017e1c0f2398f238b1fd2ec887549093eae0
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-25

    Less verbose coverage progress output

M	tools/coverage.py

commit 6605ada3d7fd22adcdc85ab4494bde1d999bf0dd
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-25

    Make ssh support optional

    For now we set -DGIT_SSH=1 in our .pc file when we detected git2
    with ssh support. This should be removed when this issue is fixed
    in git2 itself.

M	configure.ac
M	libgit2-glib-1.0.pc.in
M	libgit2-glib/Makefile.am
M	libgit2-glib/ggit.h

commit 886c1353dd732046892f7abd985997e79805e11b
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-25

    Add ssh credential schemes

M	configure.ac
M	libgit2-glib-1.0.pc.in
M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-cred-ssh-interactive.c
A	libgit2-glib/ggit-cred-ssh-interactive.h
A	libgit2-glib/ggit-cred-ssh-key-from-agent.c
A	libgit2-glib/ggit-cred-ssh-key-from-agent.h
M	libgit2-glib/ggit-types.h

commit 0f42420ea89d66777590f1d6707c5cf15e12fc3b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-06-25

    revision-walker: fix documentation

M	libgit2-glib/ggit-revision-walker.c

commit 1b36e4ced6f056bb3b3d47711be5fe9653b3d725
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-25

    Added ggit_blob_is_binary

M	libgit2-glib/ggit-blob.c
M	libgit2-glib/ggit-blob.h

commit ef62523a85ae0937ea031612fca128438b4a7127
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-25

    Added ggit_repository_get_descendant_of

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 320dc25e6674b0170a0365c2203cda93c773c141
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-25

    Added ggit_ref_is_note

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h

commit d549c3e9bdfa2dfa8458410396849f8e2e7243e5
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-25

    Added ggit_repository_revert

M	libgit2-glib/Makefile.am
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
A	libgit2-glib/ggit-revert-options.c
A	libgit2-glib/ggit-revert-options.h
M	libgit2-glib/ggit-types.h

commit 2c7a446b402d7098969c2e73859e9f27f485a886
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-25

    Move GgitCheckoutOptions to ggit-types.h

M	libgit2-glib/ggit-checkout-options.h
M	libgit2-glib/ggit-types.h

commit c3742bb0ddcda7664c03cb38bf73d228389e1364
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-25

    Added missing checkout enum assertions

M	libgit2-glib/ggit-types.c

commit 52384f1ee95697703e14c9b6d08d2481342302f3
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Add checkout API

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-checkout-options.c
A	libgit2-glib/ggit-checkout-options.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit c183e669babf931c6062fe8a4dfd4d1e8b5eef31
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Add ggit_repository_reset_default

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit d83c2faa96d91756e1adb33e537e4df6673a5ecf
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Make elements in strarray convert const

M	libgit2-glib/ggit-utils.c
M	libgit2-glib/ggit-utils.h

commit 3b98d1c91cc9f63e795e1dab137b22ab46414376
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Added ggit_signature_copy

M	libgit2-glib/ggit-signature.c
M	libgit2-glib/ggit-signature.h

commit 2bdf647e04d665d92e73906e86ed8ece8f12814d
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Added various ggit_revision_walker hide/push API

M	libgit2-glib/ggit-revision-walker.c
M	libgit2-glib/ggit-revision-walker.h

commit 0629954a5f8ea1f90f195f7c7053acf4a471e02f
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Added ggit_repository_list_tags_match

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 82539c76a82a5165ce38c039bbb980eda67c0d74
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Alignment fix

M	libgit2-glib/ggit-tag.h

commit ae618771a38eddfcfff876d5389b0ffd28747203
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Added ggit_tag_peel

M	libgit2-glib/ggit-tag.c
M	libgit2-glib/ggit-tag.h

commit 8b4ec253f3c785210131610b7f2163a05d0b999b
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Added ggit_tag_get_target_type

M	libgit2-glib/ggit-tag.c
M	libgit2-glib/ggit-tag.h

commit b34ba62a1ebb4e97cd6ac3c007006cad6401bddc
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Added ggit_repository_tag_foreach

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit 6ffa440d05f9066fadc515e8795d6307c7512007
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Fix documentation of ggit_repository_enumerate_branches

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit e4903b8a2a913dc995888ff52928bd432ee249e6
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    [coverage] Ignore object api

M	tools/coverage.py

commit 7499bd466925fc22fcd71ef11f81fa6466ceb3ff
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Add ggit_repository_create_tag_annotation

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 22228f84f7fe715b34e9b2a39e1b626164c20517
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Revert "Free tag with git_tag_free (not git_object_free)

    This reverts commit fe6b10e3190dce7e24845a645bf235f6735bd5ec.

M	libgit2-glib/ggit-tag.c

commit ae3eea892d27aaa70b068bc8d7e5e5c7a7f2e5a2
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Added ggit_commit_amend

M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-commit.h

commit 13d84446d5ccc6e9a51938d36eebea94abf0e873
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Do not initially fill buffer to prettify message

    Doing so let to a duplicate message since the prettified message
    would be appended to the initial buffer contents.

M	libgit2-glib/ggit-message.c

commit 8e5a3d85a4acdf4f61b0aaf6b7a8904c53a98fd6
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Set index entry mode to valid values in stat

M	libgit2-glib/ggit-index-entry.c

commit 8a493ea10cbffdce300754d4e4cf4c0563402a30
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Set initial file index entry mode to blob

M	libgit2-glib/ggit-index-entry.c

commit 782e20d4f82d62edc20ce0687c747ea7bc9450fa
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    [coverage] Manually set system include dir[coverage] Manually set
    system include dir

M	libgit2-glib/Makefile.am

commit 841c2a25bac7c0b053603662031259632138c277
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    [coverage] Sort output on file name

M	tools/coverage.py

commit 89e912ee65baa74d85846426ee2448dad9757174
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    [coverage] Trace declaration references

M	tools/coverage.py

commit fe6b10e3190dce7e24845a645bf235f6735bd5ec
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Free tag with git_tag_free (not git_object_free)Free tag with
    git_tag_free (not git_object_free)

M	libgit2-glib/ggit-tag.c

commit c1b1f34c363fcd6476deec06d2dcf8fcb8c7e558
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Add ggit_repository_delete_tagAdd ggit_repository_delete_tag

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 1293c5b86122bfd581191f678c6dec749fdfa280
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-06-24

    repository: fix typo returning values

M	libgit2-glib/ggit-repository.c

commit 0c64df38fa27fe55186c51369f2d37f8597c9aca
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2014-06-24

    Fix const warning in g_free

M	libgit2-glib/ggit-index-entry.c

commit c95ef9a909e2c66cb89f3b7a7127c4103f9be81c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-06-23

    ref: add ggit_ref_has_log

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h

commit b08c4ae4b2e9be5fe0c23773357239989decdc16
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-06-23

    Rename rename reflog api to log

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h

commit 38eba02759a3dc7270c99e75a824d02bd47d8679
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-06-22

    Post release version bump to 0.0.17

M	configure.ac

commit a81eb900e98ee903c90eb71edffb43aa987749d9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-06-22

    Release 0.0.16

M	NEWS
M	README
M	configure.ac

commit e6b19f80ac7162ce6c1f97f2f17fe8aba335b419
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-06-22

    We need to initialize to 0 the git_buf

M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-message.c
M	libgit2-glib/ggit-patch.c
M	libgit2-glib/ggit-repository.c

commit c4b21bc7420754c64c6eb9f27deb38d6cf376eca
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-06-22

    Post release version bump to 0.0.15

M	configure.ac

commit 98fd61b09f111a26d53665631820a2d09191112e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-06-22

    Release 0.0.14

M	NEWS
M	README
M	configure.ac

commit aa03a290fefdbcd25b071df6934e36a83b181345
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-06-22

    Bump libgit2 requirement to 0.21

M	configure.ac

commit 88760bd027ca7a53ff52aa6d2569285a3571ae40
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-06-22

    Fix ggit_message_prettify

M	libgit2-glib/ggit-message.c
M	libgit2-glib/ggit-message.h

commit bca6248a9c81ea1e250262a5f9ececf2e97b0c22
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Rename MergeTreeOptions to MergeOptions

M	libgit2-glib/Makefile.am
R054	libgit2-glib/ggit-merge-tree-options.c
libgit2-glib/ggit-merge-options.c
R053	libgit2-glib/ggit-merge-tree-options.h
libgit2-glib/ggit-merge-options.h
M	libgit2-glib/ggit-types.h
M	libgit2-glib/ggit.h

commit 34c0190db92aedf5a06f01f423f21ae75e863643
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Fix GgitDiffFlag

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 682e5f237f0ead080a2a2e36bf2cefd0f1926f54
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Fix walk_callback_wrapper

M	libgit2-glib/ggit-tree.c

commit 9649e2aa5661184f914b91dbb7d78de61014742f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Fix ggit_submodule_reload

M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-submodule.h

commit babf0d80bbc42cda1bf003a7a90a9ce6dc4e3c89
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Rename ggit_repository_create_commit_from_oids to from_ids

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 271aad0695a45b62d3d4451a6aeb45aa113696fe
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Fix ggit_repository_reset

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit e7070475c25132c30472bc76eaa32b0e1a921be2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Fix ggit_repository_create_branch

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit fe38a5de5df70ced5e524536e24d7587785844ca
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Fix ggit_repository_discover

M	libgit2-glib/ggit-repository.c

commit edf6fd8504e8031c69be62ad5e3802332695b060
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Fix ggit_repository_create_symbolic_reference

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit e4ea2d4d4a5b3f06eeb8e74a3d9301d1ca388654
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Fix ggit_repository_create_reference

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit a7a42f930a786848441438de6781aca82f877658
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Fix GgitRemoteCallbacks

M	libgit2-glib/ggit-remote-callbacks.c

commit 4666ec8247494ec3d83ab06adb790731ff84eab7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Fix ggit_remote_new

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit 3e3e2e3749859d816660880cfec61c883ed82da6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Fix GgitRef

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h

commit 4207ae61af7c455b3f414219884193e72c8a5e5e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Fix ggit_patch_to_string

M	libgit2-glib/ggit-patch.c

commit d0a9e8bd2ae5f4317a9d9b8be009fec1a91f5fa0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    AutomergeMode was renamed to FileFavor

M	libgit2-glib/ggit-merge-tree-options.c
M	libgit2-glib/ggit-merge-tree-options.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 3fb8ae55aacc063e7694f7816ae35393cf30277a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Fix ggit_message_prettify

M	libgit2-glib/ggit-message.c

commit 91db08d3bd25dabe967865894ee8645e6e661d11
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    ggit_get_capabilities is now ggit_get_features

M	libgit2-glib/ggit-main.c
M	libgit2-glib/ggit-main.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 94e8b6a3c9079a69293361cf41703b3308871a73
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Fix for rename from oid to id

M	libgit2-glib/ggit-diff-file.c
M	libgit2-glib/ggit-index-entry.c

commit 974a2f4b61953d371c2716ebd4f8e19ba22517c4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Fix ggit_config_find_system and ggit_config_find_global

M	libgit2-glib/ggit-config.c

commit 216725e6f1de98f365a74f680b49aa2f766cddfc
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-04-26

    Fix ggit_branch_move

M	libgit2-glib/ggit-branch.c
M	libgit2-glib/ggit-branch.h

commit 35d4f6dff1927ff11b9d4b8650ca374ddfcd14fd
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2014-03-05

    Post release version bump

M	configure.ac

commit 11d341c39bc4d6f71bec0aaee1e4048c01113491
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2014-03-05

    Release 0.0.12

M	NEWS
M	README
M	configure.ac

commit fc8005975e857c25de87c8cb678ff3a50eac64ac
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-22

    Make GgitRemote a GgitNative

M	libgit2-glib/ggit-push.c
M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit c8f313104df62c7c0bedf4f1722dc26619e857a6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-21

    push: missing value return on error

M	libgit2-glib/ggit-push.c

commit 05d836775b8bdded850e5d0ce2942b829a25b643
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-20

    Wrap large number of arguments

M	libgit2-glib/ggit-push-progress.c

commit c8879495ab21b07e39ebecc09c9cddb109e50fad
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-20

    Added GgitPushProgress interface

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-push-progress.c
A	libgit2-glib/ggit-push-progress.h
M	libgit2-glib/ggit-push.c
M	libgit2-glib/ggit-push.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit b90b9e15763f38673cc0b721d872b136e8f1f306
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-20

    Config callback now passes entry

M	libgit2-glib/ggit-config.c

commit 4508b9b3dd97b5988e6bd073ddb64a7ed7a3ba0a
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-20

    Return copy of value in config match

M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-config.h

commit fdc6c2abe8429c71993f3d7f690d4edc9975634b
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-16

    Bind ggit_ref_is_branch/remote/tag

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h

commit bff1af73a2d560eb4cd969b4a534d9a460575395
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-16

    Bind ggit_ref_get_shorthand

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h

commit 217da1cd0cd7ee8a760bdf62a321777bc5e52ea6
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-11

    Set pyoverrides dir to $(pyexecdir)/gi/overrides

    Getting it from gi won't allow installing in a different prefix and
    breaks things like distcheck

M	configure.ac

commit 97b6e2823d4dc08a5261e1f9e1d319f5ca4e5ce2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2014-01-10

    Bump libgit2 requirement to 0.20.0

M	configure.ac

commit d8527deb14ffd84bee136b584390d2b57ee1258a
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-07

    Bind ggit_ref_is_valid_name

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h

commit 1ce25884dce2a3218a7c8882e42079464063fefd
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-02

    Post release version bump

M	configure.ac

commit 62c03aab742267ad3377d8ef81c73fc41df5c883
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-02

    Release 0.0.10

M	NEWS
M	README
M	configure.ac

commit 2cac915af2cf4fab312cfded8a6abfbbf0a2050a
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-01

    Simplify writing of blob output stream

M	libgit2-glib/ggit-blob-output-stream.c

commit 8312d2a8fef83ee1d316d13d374f6640e2695d97
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-01

    Use relative path in get_by_path

M	libgit2-glib/ggit-index-entry.c

commit b6addaca3c82144e301d6e146c1afd3d22f21eeb
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-01

    Improve documentation of the stage parameter

M	libgit2-glib/ggit-index-entry.c

commit e239a70c51f42496429c18ad971b926cd5606ec6
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-01

    Fix documentation of conditions for valid GgitIndexEntry

M	libgit2-glib/ggit-index-entry.c

commit be4a3bf365249b4bc999fe92e80218a8571138f7
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2014-01-01

    Fix type of entry stage

M	libgit2-glib/ggit-index-entry.c
M	libgit2-glib/ggit-index-entry.h

commit c22597ae09b3bbf007b6feff288a6d5861fb5e7c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-12-27

    Fix switch code style

M	libgit2-glib/ggit-diff.c

commit d40bb525c9307af6ccfe9c3cc1fee6a2f16b52b3
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-12-27

    Implement ggit_diff_line_get_text

    Retrieve the encoding of a file from either the gui.encoding config
    value, or (with higher priority) the encoding file attribute. If set,
    ggit_diff_line_get_text will convert from that encoding to utf-8 and
    ensures a utf-8 encoded string is returned. Characters that cannot be
    decoded will contain the fallback ? character.

M	libgit2-glib/ggit-diff-line.c
M	libgit2-glib/ggit-diff-line.h
M	libgit2-glib/ggit-diff.c
M	libgit2-glib/ggit-diff.h

commit 988a7b201e864c1ba42e1ec35e21629d2748b7f1
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-12-27

    Bind git_attr_get

    This API is exposed as ggit_repository_get_attribute on the
    GgitRepository.

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit b428e86553e783582571370171bbd038f092e240
Author: Techlive Zheng <techlivezheng@gmail.com>
Date:	2013-12-18

    The return value should be an int

    Fix https://bugzilla.gnome.org/show_bug.cgi?id=720808

M	libgit2-glib/ggit-diff-hunk.c
M	libgit2-glib/ggit-diff-hunk.h

commit 46ee05a77f840599fa98a3352a11b472ca4a039f
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-25

    Bind blame buffer

M	libgit2-glib/ggit-blame.c
M	libgit2-glib/ggit-blame.h

commit 0e83587ead6e51b9c625de7e103761c1f74856f7
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-25

    Bind blame file

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-blame.c
A	libgit2-glib/ggit-blame.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit f17426180cc79d853ba811198b65b9b5aa1d23ea
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-25

    Remove const from getting native blame options

M	libgit2-glib/ggit-blame-options.c
M	libgit2-glib/ggit-blame-options.h

commit 4346e72f1350b405886acf7ea588fe8c681c17b2
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-25

    Fix some copy/paste documentation typos

M	libgit2-glib/ggit-diff.c
M	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-patch.c

commit 80047e2588dfd41de425711ae9a98683afee10a7
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-25

    Small code style cleanup in blame options

M	libgit2-glib/ggit-blame-options.c

commit c211b7114a45ff8d44669bf0dd8670305f543dfd
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-25

    Added bindings for blame options

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-blame-options.c
A	libgit2-glib/ggit-blame-options.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 3c7e614cbfad89f5ce100991036097117d2f8dfa
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-11-24

    Post release version bump

M	configure.ac

commit 9ff043d018fde8529ef42b9ceb500a42ed953c91
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-11-24

    Release 0.0.8

M	NEWS
M	README
M	configure.ac

commit 036216afebae0a27083c3a1a2979e2521f9b5e3d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-24

    Minor update of the docs

M	docs/reference/libgit2-glib-1.0-docs.sgml
M	docs/reference/libgit2-glib-1.0-sections.txt

commit 7d6c707cda07b914f481743bd292cf427f18c645
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-24

    Move GgitRemoteCallbacks type to types.h

M	libgit2-glib/ggit-remote-callbacks.h
M	libgit2-glib/ggit-types.h

commit fcb3a8d4edc990911e9ba2ec30aa49b14a556f07
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Fix walk example for new line_get_content API

M	examples/walk.c

commit 72f60e508a6efdab029bf0f8370271aacdb3c1f6
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Add ggit_patch_get_hunk

M	libgit2-glib/ggit-patch.c
M	libgit2-glib/ggit-patch.h

commit f2f410a63d3507113eace3ad61a2a9a481790f94
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Added ggit_patch_get_delta

M	libgit2-glib/ggit-patch.c
M	libgit2-glib/ggit-patch.h

commit 944532a4311206b6763673db133e263f142f9614
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Make get_content return a byte array

M	libgit2-glib/ggit-diff-line.c

commit fbd2212c98a41b9a49e22cb6df10dd23d08657e2
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Make get_origin return a GgitDiffLineType

M	libgit2-glib/ggit-diff-line.c
M	libgit2-glib/ggit-diff-line.h

commit caf62a5e9bb3febd7021ecfe85de7cc2e4add427
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Do not expose header length

M	libgit2-glib/ggit-diff-hunk.c
M	libgit2-glib/ggit-diff-hunk.h

commit 3a60fa44cf079dc17737152ffd0c59827e83bc0a
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Chomp of newline from output for libdir

M	tools/coverage.py

commit 6f07b7ffd863a4851b8fd8300858576a0df4958a
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Better detection of libclang

M	tools/coverage.py

commit abc19f3574067243230c7b74019726db70b59e7c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Fix clone example

M	examples/clone.c

commit a4eeda0a4d1f1f9492aed6b65e81dc666e87be40
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Correctly initialize git_remote_callbacks

M	libgit2-glib/ggit-remote-callbacks.c

commit e2ef0c0bbc9bf9b756cfd06cf4b9c3b9e9703fc9
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Do not try to set workdir when repository was not created

M	libgit2-glib/ggit-repository.c

commit a0ff8b780b29ab25cb4d8e962ac4976c5f105fbb
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Move out argument to last argument

M	libgit2-glib/ggit-remote-callbacks.c
M	libgit2-glib/ggit-remote-callbacks.h

commit 77c01227fa24fa8db99391ee48650a30a6500a97
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Annotate @cred as out

M	libgit2-glib/ggit-remote-callbacks.c

commit d5ccf9b170e3b597c509865926ec21f14ba889c9
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Use GError instead of raw git2 error codes

M	libgit2-glib/ggit-remote-callbacks.c
M	libgit2-glib/ggit-remote-callbacks.h

commit 21df28ecf96e4e855a8b3697da17199d1a024a95
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Explicitly cast enum values

M	libgit2-glib/ggit-config-entry.c
M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-diff-delta.c
M	libgit2-glib/ggit-merge-tree-options.c
M	libgit2-glib/ggit-status-options.c
M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-tree-builder.c
M	libgit2-glib/ggit-tree-entry.c
M	libgit2-glib/ggit-tree.c

commit d81b8df8575eeedbee418ff539064de9aab3c45e
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Add API to set remote callbacks in clone options

M	libgit2-glib/ggit-clone-options.c
M	libgit2-glib/ggit-clone-options.h
M	libgit2-glib/ggit-remote-callbacks.c
M	libgit2-glib/ggit-remote-callbacks.h

commit 9322b7eebfc3bfbe1375c5809741a13fc281a874
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Release native object for credentials

M	libgit2-glib/ggit-remote-callbacks.c

commit 3e8b05ddd9cfccd5fdbc36189aa0728cbace7839
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Add _ggit_native_release

M	libgit2-glib/ggit-native.c
M	libgit2-glib/ggit-native.h

commit 3b282fb4743ecf0f8a0b9f0a424e217404ea733c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Update walk example for new API

M	examples/walk.c

commit 503408416b51bf47e478de04e01714f1ea6083d7
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Implement GgitRemoteCallbacks as a class

M	libgit2-glib/ggit-remote-callbacks.c
M	libgit2-glib/ggit-remote-callbacks.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit fee05c1c301642b264bffed4e7de66b668ee3186
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-23

    Fix total coverage percentage

M	tools/coverage.py

commit 81901913a4e3270a278806e30cc165fce9079ba0
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    [coverage] Sort on covered

M	tools/coverage.py

commit 04c6e7e7de56e584790959889ed623e501d465bd
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Added ignores for cache files

A	tools/.gitignore

commit 72d438de04e6eeec8a5806c3630436733474ef58
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Added coverage tool

    Make sure to have libclang installed and then run
    `make coverage' in the libgit2-glib subdirectory.

M	libgit2-glib/Makefile.am
A	tools/clang/__init__.py
A	tools/clang/cindex.py
A	tools/clang/enumerations.py
A	tools/coverage.py

commit 227f68c55e459a7c266d82a38141a4c6f134046d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Fix typo in header comment

M	libgit2-glib/ggit-branch-enumerator.h

commit ecb0c2cd39e3a62e44ab525fec430e26016d804a
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Use same parameter names in declaration and definition

M	libgit2-glib/ggit-remote-callbacks.h

commit 60868fe9be99be5a393a404b2e0e972ded37a49b
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Added missing includes in ggit.h

M	libgit2-glib/ggit.h

commit 0722dd786a5802349d1036f1d6dcf0454369a8de
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Update enums

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit f33175c738f10470e446d419c4c48a80b2823eca
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Added type conversions for enumerations

M	libgit2-glib/ggit-repository.c

commit 058034b66df900d68728923ef13e429c45e02979
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Rename _head_orphan to _head_unborn

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit db296a9edbacadc7bafa197aad3379b36cabb92a
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Do not use local includes in headers

M	libgit2-glib/ggit-remote.h

commit 5c2b9ce5132ad92081d2a63c8a37816578f79715
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Implemented branch enumerator

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-branch-enumerator.c
A	libgit2-glib/ggit-branch-enumerator.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit f06c5721b9cbdeb7cf10dddef452263ccc4053ab
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Added missing NULL termination in array

M	libgit2-glib/ggit-remote.c

commit 41ebbe949872befb38191c4a7d1eb1c34ed7687c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Make ggit_remote_list return an array of GgitRemoteHead

M	libgit2-glib/ggit-remote.c

commit 746fde9f95da51c0e5a5e3bc42513229d4242023
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Added GgitRemoteHead

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h
M	libgit2-glib/ggit-types.h

commit 4604c4c7434e556c7cf0be3cbccc1744ed3477a2
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Fix changes to reflog API no longer being based on git_reference

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-reflog.c

commit c953f9b8d8845334f1298ccd28de3daa932f132b
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Fix patch_to_stream for new signature using git_diff_line

M	libgit2-glib/ggit-patch.c

commit 59924ac06a7c963ad11dbd925e6c19742a91f492
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Fix ggit_patch_to_string for new name

M	libgit2-glib/ggit-patch.c

commit f588ca3a42ee58beb019f3969df83e15589c229f
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Added missing ggit-diff include in patch

M	libgit2-glib/ggit-patch.c

commit 30684d6ee695095e0f164ce0ba3c03f15d847f6f
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Fix g_return with return value

M	libgit2-glib/ggit-patch.c

commit 1d681f9ec7138563fa152b36f6e1aa489b704af0
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Added force parameter to ggit_index_read

M	libgit2-glib/ggit-index.c
M	libgit2-glib/ggit-index.h

commit 406d006dedec83c9e030fa4b8c009f22dc9b4252
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Added missing include for strncpy

M	libgit2-glib/ggit-diff-hunk.c

commit 7b6c36bcf0d02e218de3e93ea1aad1364575cd4e
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Cast GgitDiffFormatType to underlying type

M	libgit2-glib/ggit-diff.c

commit daeee04daccf6e78e53f2efa64f44592256da342
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-11-22

    Correct type for line cb

M	libgit2-glib/ggit-diff.c

commit 2f71d05c25ff09cc417fab56edb29d4454acbdbe
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-22

    Bind ggit_patch_new_from_blobs

M	libgit2-glib/ggit-patch.c
M	libgit2-glib/ggit-patch.h

commit 22b83f5d574ed70967eb9ad8dbcd0d001887e047
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-22

    diff: diff_get_patch is replaced now by patch_new_from_diff

M	libgit2-glib/ggit-diff.c
M	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-patch.c
M	libgit2-glib/ggit-patch.h

commit 050167b36b3bb220374927ab14e78a38523e222f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-22

    patch: free git2 allocated data with free

M	libgit2-glib/ggit-patch.c

commit 820c8f25682fefc21707ebfa0d81541470b88c8e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-22

    diff: rename print_patch to print

M	libgit2-glib/ggit-diff.c
M	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit b5894902176acb60c6a259a7f68f4bfadadbfacb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-21

    diff: remove print_compact

    This is not supported by libgit2 anymore

M	libgit2-glib/ggit-diff.c
M	libgit2-glib/ggit-diff.h

commit c362dbd8808b8330dca7b12a4b19f407cb13a2ee
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-21

    Use Hunk and Line in callbacks

M	libgit2-glib/ggit-types.h

commit d7b50cdf58ad1e25471923ccd79ac53a39c9bccb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-21

    Add GgitDiffHunk

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-diff-hunk.c
A	libgit2-glib/ggit-diff-hunk.h
M	libgit2-glib/ggit-diff.c

commit 3531e1734ead2b2590c6924f608586e96a8c96a0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-21

    Fix Diff because of the split of Range into Hunk/Line

M	libgit2-glib/ggit-diff.c

commit d705fa63361d542a66ba015c8c2004cf50020145
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-21

    Rename GgitDiffRange to GgitDiffLine

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-diff-line.c
A	libgit2-glib/ggit-diff-line.h
D	libgit2-glib/ggit-diff-range.c
D	libgit2-glib/ggit-diff-range.h
M	libgit2-glib/ggit-diff.c

commit dbdde8f8eaf0edeb7bc630dbd4c8fe45c9f8193a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-21

    Fix include

M	libgit2-glib/ggit-diff.c

commit 08fc0d96fe581cc18c96668cec083c393b73dc80
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-21

    Fix GgitCloneOptions to compile

    This is still missing the new things

M	libgit2-glib/ggit-clone-options.c
M	libgit2-glib/ggit-clone-options.h

commit e3d22e649d568ff61afb9e0eb31323cd6b45ceb9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-21

    Add GgitRemoteCbs

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-remote-callbacks.c
A	libgit2-glib/ggit-remote-callbacks.h
M	libgit2-glib/ggit-types.h

commit d0d8c9fe5adced9c7110707a73794af5bc62378b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-21

    Rename GgitDiffList to GgitDiff

M	libgit2-glib/Makefile.am
R072	libgit2-glib/ggit-diff-list.c	libgit2-glib/ggit-diff.c
R075	libgit2-glib/ggit-diff-list.h	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-types.h

commit 6ee2c022627254a81599003daa3d162c736c3746
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-11-21

    Rename GgitDiffPatch to GgitPatch

M	libgit2-glib/Makefile.am
M	libgit2-glib/ggit-diff-list.c
M	libgit2-glib/ggit-diff-list.h
D	libgit2-glib/ggit-diff-patch.h
R059	libgit2-glib/ggit-diff-patch.c	libgit2-glib/ggit-patch.c
A	libgit2-glib/ggit-patch.h
M	libgit2-glib/ggit-types.h
M	libgit2-glib/ggit.h

commit 8d9883e005d9f7f13058fae98eef3c5dbba8d7c4
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-10-12

    Fix annotation syntax

M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-object-factory.c

commit d6bf26731ceb5955207db80b874b846757b404fd
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2013-10-12

    Fix const warnings

M	libgit2-glib/ggit-diff-patch.c

commit a14ce36bcc8ad95203c0e02a9fb8ad02339ab8f6
Author: Jasper Lievisse Adriaanse <jasper@humppa.nl>
Date:	2013-09-27

    Unbreak pkg-config file; some "variables" were mangled and not
    substituted.

M	libgit2-glib-1.0.pc.in

commit ea1f8cf8318dc7e9fb793913b89bd95fde297e65
Author: Sindhu S <sindhus@live.in>
Date:	2013-07-25

    Fix patch-to-string in ggit-diff-patch.c

M	libgit2-glib/ggit-diff-patch.c

commit cc9d2e903004232959dc9d64c3978f5badf40f2b
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-07-08

    Bind more GgitDiffPatch API

M	libgit2-glib/ggit-diff-patch.c
M	libgit2-glib/ggit-diff-patch.h

commit b8a9173e550e020d58e90c2033709133a4360927
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-07-08

    Annotate patch and delta to be out

M	libgit2-glib/ggit-diff-list.c

commit 427082c35687f930e312af15c769b079eb96fb8d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-07-08

    Bind git_diff_num_deltas

M	libgit2-glib/ggit-diff-list.c
M	libgit2-glib/ggit-diff-list.h

commit e9827945dc1bb709593b07cd41f89ee971ccf592
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-07-08

    Fix indentation

M	libgit2-glib/ggit-diff-list.h

commit a6388082231be4d749dfb88effbc14f3576ea78c
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-07-08

    Fix check for UTF-8 encoding in convert

M	libgit2-glib/ggit-convert.c

commit 0cb1b2a69d0dd3cefc6f60453ca5b064a8c5d862
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-07-06

    Pass GgitDiffSimilarityMetric to GgitMergeTreeOptions

M	libgit2-glib/ggit-diff-similarity-metric.c
M	libgit2-glib/ggit-diff-similarity-metric.h
M	libgit2-glib/ggit-merge-tree-options.c
M	libgit2-glib/ggit-merge-tree-options.h

commit b2c54a8604f859e7c788bead3aad484065dd86c7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-07-06

    Bind git_diff_similarity_metric

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-diff-similarity-metric.c
A	libgit2-glib/ggit-diff-similarity-metric.h
M	libgit2-glib/ggit-types.h

commit 66cec5ce0dd021f8f1d7a498fcffcd60f0ed6ea8
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-07-06

    Use time zone included in GDateTime

M	libgit2-glib/ggit-signature.c
M	libgit2-glib/ggit-signature.h

commit 284d3f69e859a96cd24eb0cc6f5e209fd5d539a1
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-07-05

    Improved documentation for getting head

M	libgit2-glib/ggit-repository.c

commit d925cd469438fe8ca760e8ce8402185081b88b91
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-07-05

    Reorganize reflog

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h
M	libgit2-glib/ggit-reflog.c
M	libgit2-glib/ggit-reflog.h

commit fc73c627dfc6eb7d994ab6bdf505b718ed9767d4
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-07-05

    Fix getting native oid in ggit_ref_create_reflog

M	libgit2-glib/ggit-ref.c

commit 35ff8a20a34ff7ab9ed4b6b045b8ce163e96d8ce
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-07-05

    Bind git_reference_has_log

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h

commit 86700e0602a490b3873676cfae5d4578788ca0be
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-07-05

    Added ggit_repository_create_commit_from_oids

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit bbb7169238030e474580cc8c4bbf7d9fe3fbbfe5
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-07-03

    Add missing diff options

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit a68f66f0d892e27125c9a1d72ccd67f22d6c72db
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-07-03

    Properly initialize git2 diff options struct

M	libgit2-glib/ggit-diff-options.c

commit bf63ccbafff13ce67b070fd783d673dceb63a821
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-07-03

    Mark pathspec as null terminated array

M	libgit2-glib/ggit-diff-options.c
M	libgit2-glib/ggit-status-options.c

commit a96789016b5ccc629849158d227d2d67d45f2f34
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-07-02

    Post release version bump

M	configure.ac

commit 73925a109248522e4d40553aef75c21d75daa157
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-07-02

    Release 0.0.6

M	NEWS
M	README
M	configure.ac

commit 235cafd6d1d7645b79786f950f72408bed855409
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-07-01

    Update gtk doc

M	docs/reference/libgit2-glib-1.0-docs.sgml
M	docs/reference/libgit2-glib-1.0-sections.txt
M	libgit2-glib/ggit-diff-list.c
M	libgit2-glib/ggit-diff-list.h
M	libgit2-glib/ggit-types.h

commit cdf32a5a3a69f684d15465d935f23d539b55cb20
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-07-01

    Add missing include

M	libgit2-glib/ggit.h

commit 2a45d8bb83cb7181a0f441126cfc1056a99c2da8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-07-01

    Rename GgitDiff to GgitDiffList

M	examples/walk.c
M	libgit2-glib/Makefile.am
R073	libgit2-glib/ggit-diff.c	libgit2-glib/ggit-diff-list.c
A	libgit2-glib/ggit-diff-list.h
D	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-types.h
M	libgit2-glib/ggit.h

commit c5aad14ab0d03c44016d35c147bf2b944361e585
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-30

    Bind GgitMergeTreeOptions

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-merge-tree-options.c
A	libgit2-glib/ggit-merge-tree-options.h
M	libgit2-glib/ggit-types.h

commit 8cdba2de6cc9c2bcce9d16950e9574ea28abf4ff
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-30

    Add merge enums

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 0e90105f73ef0e0593b96eb7a5b2e404600a7a23
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2013-06-30

    Fix ggit_repository_file_status()

M	libgit2-glib/ggit-repository.c

commit d89beece9c3683efc7d4548da18eab5ad4acad7c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-30

    Correctly wrap up git_transfer_progress

M	examples/clone.c
M	libgit2-glib/ggit-clone-options.c
M	libgit2-glib/ggit-transfer-progress.c
M	libgit2-glib/ggit-transfer-progress.h
M	libgit2-glib/ggit-types.h

commit 690d0b14a24b8228b10ceed7c1c675feef513fa1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-30

    Remove g_type_init

M	examples/general.c
M	examples/walk.c

commit 026b0723fad502f0f0fce450693da932655c4110
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-29

    Update gtk doc

M	docs/reference/libgit2-glib-1.0-sections.txt

commit 068b77a7b3cc3ca122df23849fef8bf1b31d450b
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Allow NULL for path in create_index_entry_for_path

M	libgit2-glib/ggit-repository.c

commit 8d1e20732c3bfae4d52d5567ac1d532260325de3
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Clear repository in finalize

M	libgit2-glib/ggit-blob-output-stream.c

commit 53ea340487afcc3479d5545a17e41a0f5a7025b2
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Do not fail index entry creation when stat fails

M	libgit2-glib/ggit-repository.c

commit 5b7eca7d03460fa37776b1aabb16b8e7c4f6387a
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Use relative path for git_index_remove

M	libgit2-glib/ggit-index.c

commit 068efc05dab74c669555b4989323d03639172775
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Implement diff patch using GString

M	libgit2-glib/ggit-diff-patch.c

commit 9421d6116add67ab89c444e69519f2603700e595
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Added ggit_diff_patch_to_stream

M	libgit2-glib/ggit-diff-patch.c
M	libgit2-glib/ggit-diff-patch.h

commit a53c97c77ba868aa9123ceb45c558fcf6b182a81
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Do not call g_type_init explicitly anymore

M	tests/repository.c

commit b528200f9cc74a0bf4d2a1f00d58626f620b2f2e
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Added writing blob using output stream

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-blob-output-stream.c
A	libgit2-glib/ggit-blob-output-stream.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h
M	libgit2-glib/ggit.h
M	tests/repository.c

commit 83b7a8ad720c17dcf68eb78ca44b131f05d4ae45
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Consistently store copy of workdir after creating/wrapping repository

M	libgit2-glib/ggit-repository.c

commit 0bd48fff54013d74381b108401c6dafd0c1c4a2a
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Use Returns instead of @return to document return value

M	libgit2-glib/ggit-repository.c

commit 67cf568389adfe15cc104eefad3a50d7d7854e49
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Added missing punctuation for documentation of parameters

M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-index-entry-resolve-undo.c
M	libgit2-glib/ggit-index.c
M	libgit2-glib/ggit-oid.c
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-tree.c

commit 38bb76a270e19e52d8180ff22cd4b1512867f29d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Unify documentation of error

M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-index-entry.c
M	libgit2-glib/ggit-index.c
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-tree-builder.c

commit 49d847d14c10c3e347f993432bf9c98c9b8f7c74
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Bind more index API (write_tree, add_bypath, owner)

M	libgit2-glib/ggit-index.c
M	libgit2-glib/ggit-index.h

commit 00e89328fc71af3e4b5e0545a5ad3e5a1bed1876
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Move index entry construction API to repository

M	libgit2-glib/ggit-index-entry.c
M	libgit2-glib/ggit-index-entry.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 267697fea16a0362d3ab19cda7c3ebc9e15629c5
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Fixed wrong order of arguments in git_treebuilder_write

M	libgit2-glib/ggit-tree-builder.c

commit 1a81cc559249932aec3508253ba978a8c0ecda20
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Check for valid repository

M	libgit2-glib/ggit-tree-builder.c

commit 4efc65001dbbbaa6a14dfd0673e2e80cbdd7d51d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Rename FILEMODE constants to FILE_MODE

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 1c8ecc0a53238d6deed5a3313a5fe0265947667f
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-29

    Use g_clear_object

M	libgit2-glib/ggit-tree-builder.c

commit b22c18d0b0b37331c5f4ca796495f11193a83a3e
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-28

    Use AM_CPPFLAGS instead of INCLUDES

M	examples/Makefile.am
M	libgit2-glib/Makefile.am
M	tests/Makefile.am

commit 9321f9560e4759e6763f15de413faa498999d8ff
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-28

    Bind create_commit

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 43383327112517ff16cf9c0e6a8c2ddeb1462226
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-28

    Bind more tree builder API

M	libgit2-glib/ggit-tree-builder.c
M	libgit2-glib/ggit-tree-builder.h

commit 9b3b42eb061efb301412eb22fc5da65b1ad104a9
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-28

    Move creating tree builder to repository

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-tree-builder.c
M	libgit2-glib/ggit-tree-builder.h
M	libgit2-glib/ggit-tree.c
M	libgit2-glib/ggit-tree.h

commit 44e21cd47c6ff1cf5c754513aaaad63594c615fe
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-28

    Bind ggit_message_prettify

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-message.c
A	libgit2-glib/ggit-message.h

commit a3e1624c4c42b49fe80f8954205da3f121b2e51e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-28

    Update gtk-doc

M	docs/reference/libgit2-glib-1.0-sections.txt

commit 37d4e5573079dab231e825f5fc98f7c3aa761c53
Author: Sindhu S <sindhus@live.in>
Date:	2013-06-27

    Bind get_patch and patch_to_string

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-diff-patch.c
A	libgit2-glib/ggit-diff-patch.h
M	libgit2-glib/ggit-diff.c
M	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-types.h
M	libgit2-glib/ggit.h

commit 9348173077b583bdc0cc9a6224caa27478a8c2c4
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-28

    Added new status options

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit c89b6c4acf7882b143933e0c4647c9c5104f3889
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-28

    Added ggit_index_entry_stat to fill an index entry by statting
    its path

M	libgit2-glib/ggit-index-entry.c
M	libgit2-glib/ggit-index-entry.h

commit d571971a48434e38602cb3a0062b920c1bdfec07
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-28

    Added _set API for GgitIndexEntry

M	libgit2-glib/ggit-index-entry.c
M	libgit2-glib/ggit-index-entry.h

commit dafb17057dce97fe3e7709eba8128a4268b1ea4a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-27

    Missing includes in ggit.h

M	libgit2-glib/ggit.h

commit 73c07fae6c2b3f0ee5ab11fa7333b4516f2630b8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-26

    Do not use direct includes from libgit2

M	libgit2-glib/ggit-blob.h
M	libgit2-glib/ggit-branch.c
M	libgit2-glib/ggit-clone-options.c
M	libgit2-glib/ggit-clone-options.h
M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-commit.h
M	libgit2-glib/ggit-config-entry.h
M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-config.h
M	libgit2-glib/ggit-cred-plaintext.c
M	libgit2-glib/ggit-diff-delta.h
M	libgit2-glib/ggit-diff-file.h
M	libgit2-glib/ggit-diff-options.c
M	libgit2-glib/ggit-diff-options.h
M	libgit2-glib/ggit-diff-range.c
M	libgit2-glib/ggit-diff.c
M	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-error.c
M	libgit2-glib/ggit-index-entry.h
M	libgit2-glib/ggit-index.c
M	libgit2-glib/ggit-index.h
M	libgit2-glib/ggit-main.c
M	libgit2-glib/ggit-object.h
M	libgit2-glib/ggit-oid.c
M	libgit2-glib/ggit-oid.h
M	libgit2-glib/ggit-push.c
M	libgit2-glib/ggit-ref-spec.c
M	libgit2-glib/ggit-ref-spec.h
M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h
M	libgit2-glib/ggit-reflog-entry.h
M	libgit2-glib/ggit-reflog.h
M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-revision-walker.c
M	libgit2-glib/ggit-signature.c
M	libgit2-glib/ggit-signature.h
M	libgit2-glib/ggit-status-options.h
M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-submodule.h
M	libgit2-glib/ggit-tag.c
M	libgit2-glib/ggit-tag.h
M	libgit2-glib/ggit-tree-builder.c
M	libgit2-glib/ggit-tree-builder.h
M	libgit2-glib/ggit-tree-entry.c
M	libgit2-glib/ggit-tree-entry.h
M	libgit2-glib/ggit-tree.c
M	libgit2-glib/ggit-tree.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-utils.c
M	libgit2-glib/ggit-utils.h

commit b0734996396cc6b88d0f2611e9f6a01d477df019
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-25

    Update readme

M	README

commit f523f3edefa93a05330b38323c7bcdae472bcf34
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-25

    Post release version bump

M	configure.ac

commit 14b45b59ea7e6fdb4f46a0d6dc04b4615e3f190a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-25

    Release 0.0.4

M	NEWS
M	README
M	configure.ac

commit 8671f147e25b3ae4cb4e0df6a69980ac3df46a66
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-25

    libgit2 version bump

M	configure.ac

commit 0d34a4d8d58e290fb21f955069647c2842e019f0
Author: Sindhu S <sindhus@live.in>
Date:	2013-06-05

    Update bindings to the latest libgit2 API changes 0.19.0

M	docs/reference/libgit2-glib-1.0-sections.txt
M	libgit2-glib/ggit-diff.c
M	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-index-entry-resolve-undo.c
M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-status-options.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 5151f136f4737990f55396a64d975c39f5c08783
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-23

    Improve docs for GgitStatusShow

M	libgit2-glib/ggit-types.h

commit 9830594b4ab64a4565e5e839cfd4ecfc5e7c4e2d
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-23

    Rename GgitStatusFlag to GgitStatusOption

    This disambiguates more clearly from GgitStatusFlags

M	libgit2-glib/ggit-status-options.c
M	libgit2-glib/ggit-status-options.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 8ec71c7bea5856e1d2681fda62c7437f99a6aa99
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-23

    Add documentation for GgitStatusFlag and GgitStatusShow

M	libgit2-glib/ggit-types.h

commit 7ae1cffbd14524b936e4d920e9b0d2d1c59db20b
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-23

    Add copyright in ggit-status-options.[ch]

M	libgit2-glib/ggit-status-options.c
M	libgit2-glib/ggit-status-options.h

commit 26d95b42dece73ae247fa580e95d6bf9f8517b69
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-23

    Add GgitStatusOptions

M	libgit2-glib/Makefile.am
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
A	libgit2-glib/ggit-status-options.c
A	libgit2-glib/ggit-status-options.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 112a9e4947b1b07bd50f9f1deaee322e00f8b761
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-23

    Add tree builder typedef

M	libgit2-glib/ggit-types.h

commit b7501ac0315d748247a9b95f98c8f2f43ff90140
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-23

    Added tree builder API

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-tree-builder.c
A	libgit2-glib/ggit-tree-builder.h
M	libgit2-glib/ggit-tree.c
M	libgit2-glib/ggit-tree.h

commit 2e90977c815e4495f567903055d3aa7bc1c98706
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-06-21

    Bind create_blob_from... API

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit f91b4f626bd8fcdacb11e19ea7a39dc6f1d6dc5e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-20

    urgh... typo

M	libgit2-glib/ggit-diff.c

commit 204fc976f8d2d2f227335ce4d67ee26b711a5c5a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-20

    diff: it is an error to pass NULL for both the `old_tree` and
    `new_tree`.

M	libgit2-glib/ggit-diff.c

commit 8a95d39e9098af4a4d18f47abfc4420a596b4acc
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-06-19

    diff: we can diff to NULL or from NULL.

    https://bugzilla.gnome.org/show_bug.cgi?id=702412

M	libgit2-glib/ggit-diff.c

commit a74cade9b33c6d9217c682e8a6d58f6eeda3c834
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-23

    Bump version for development

M	configure.ac

commit 61eefce20d3749726a3fc0204f1aabc365747846
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-20

    Release 0.0.2

M	NEWS
M	README
M	configure.ac

commit 4cf61aa096e821f18018ffb025ed9fdfb4d76b08
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:	2013-04-19

    Add Libtool versioning

    The same way as GtkSourceView.

M	configure.ac
M	libgit2-glib/Makefile.am

commit cddd78a141ea748758b04f41d8840c4ba0c89be9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-16

    Bump libgi2 requeriment to 0.18.0

M	configure.ac

commit 22b336834c7da7b7a60b9f601afbc10c58364efa
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-14

    Wrap the right type for ggit_branch_get_upstream

M	libgit2-glib/ggit-branch.c
M	libgit2-glib/ggit-branch.h

commit 91079a83c593a5901ff64cac9de144032143c6af
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-13

    Fixed docs

M	docs/reference/libgit2-glib-1.0-sections.txt

commit c3f00b37a727a9e77079674575088b16c8edcc37
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-13

    Rename get_tracking to get_upstream and remove not needed method
    from ref

M	libgit2-glib/ggit-branch.c
M	libgit2-glib/ggit-branch.h
M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h

commit 7e37bd938d4eed5966a6a2cd72952f2d9f9ab7bb
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-04-04

    Added brief documentation for branch

M	libgit2-glib/ggit-branch.h
M	libgit2-glib/ggit-types.h

commit 41179ad017bc310d6979e5d0d947eec3b35f3f21
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-04-04

    Mark gobject fields private

M	libgit2-glib/ggit-blob.h
M	libgit2-glib/ggit-branch.h
M	libgit2-glib/ggit-commit.h
M	libgit2-glib/ggit-config.h
M	libgit2-glib/ggit-cred-plaintext.h
M	libgit2-glib/ggit-cred.h
M	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-index.h
M	libgit2-glib/ggit-native.h
M	libgit2-glib/ggit-object-factory-base.h
M	libgit2-glib/ggit-object-factory.h
M	libgit2-glib/ggit-object.h
M	libgit2-glib/ggit-push.h
M	libgit2-glib/ggit-ref.h
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-revision-walker.h
M	libgit2-glib/ggit-signature.h
M	libgit2-glib/ggit-tag.h
M	libgit2-glib/ggit-tree.h

commit 07ead175e47b32b71c61fbaab933e873a3c2fd96
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-04-04

    Only check for python 3.2.3 when necessary

M	configure.ac

commit 210c2260a894fb968a08df9b6858d14e48194a7f
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-04-04

    Fixed warning on wrong pointer type

M	libgit2-glib/ggit-config.c

commit 7a0dc57f2bb74f1a91cd6c5899480f1da408472f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: more fixup

M	docs/reference/libgit2-glib-1.0-docs.sgml
M	docs/reference/libgit2-glib-1.0-sections.txt
M	libgit2-glib/ggit-branch.h

commit ee7f2a35bba36f8337b05a9f2d0e6fb052ecd2d9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: ggit-convert is not public api

M	docs/reference/libgit2-glib-1.0-docs.sgml
M	docs/reference/libgit2-glib-1.0-sections.txt

commit d8749d3d859ce5f60e61ba54b8405067e5ce3b4f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: add docs for ggit_convert_utf8

M	libgit2-glib/ggit-convert.c

commit 9fd3df0ac45616184ab8e222062683dd8c907107
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: typo in GgitConfigEntry

M	docs/reference/libgit2-glib-1.0-sections.txt

commit a1b6ac75cf1cf2d6428d2f1dee89dc25e5e7d0fc
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: fix GgitTree

M	docs/reference/libgit2-glib-1.0-sections.txt

commit 5fc253b676e3b2f4ed4caee1eeb4cdfd44ef1e0f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: add GgitTransferProgress

M	docs/reference/libgit2-glib-1.0-docs.sgml
M	docs/reference/libgit2-glib-1.0-sections.txt

commit 96b58bf5914cc529ae74f84862846b4473983e90
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: fix GgitSubmodule

M	docs/reference/libgit2-glib-1.0-sections.txt
M	libgit2-glib/ggit-submodule.c

commit d7ab41862a002189a07f3128ee0fca8eeee95ee2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: fix GgitRepository

M	docs/reference/libgit2-glib-1.0-docs.sgml
M	docs/reference/libgit2-glib-1.0-sections.txt

commit 6db3181eff94e1bbdde737c4b1f8e47b400fc0b0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: fix GgitRef

M	docs/reference/libgit2-glib-1.0-sections.txt

commit a8b8c431b6a614322dda70e05baee2bad4346758
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: add GgitPush

M	docs/reference/libgit2-glib-1.0-docs.sgml
M	docs/reference/libgit2-glib-1.0-sections.txt

commit cf4789f837722c7af5a844aeaea6f0ac97336d46
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: fix GgitIndexEntry

M	docs/reference/libgit2-glib-1.0-sections.txt

commit 77d4f586654d9c4c664e9e2ee275f7328a8b60da
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: fix GgitIndex

M	docs/reference/libgit2-glib-1.0-sections.txt

commit 9fdae1ece98f4973d53851167f0db919c2cc9ee0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: fix GgitDiffDelta

M	docs/reference/libgit2-glib-1.0-sections.txt

commit d2c9b36d4445cf999789ffe923f89d3d221bb750
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: fix GgitDiff

M	docs/reference/libgit2-glib-1.0-sections.txt

commit 6cc9ab6dba3c8e9ea2dd4b475bbde39b4e2c29da
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: add GgitCredPlaintext

M	docs/reference/libgit2-glib-1.0-docs.sgml
M	docs/reference/libgit2-glib-1.0-sections.txt

commit 0a269b496f87e9859d40ad91ea5e615c246d444d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: add GgitCred

M	docs/reference/libgit2-glib-1.0-docs.sgml
M	docs/reference/libgit2-glib-1.0-sections.txt

commit d27ea2c13a2def4ca88d294cd403262423ef6186
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: add GgitConvert

M	docs/reference/libgit2-glib-1.0-docs.sgml
M	docs/reference/libgit2-glib-1.0-sections.txt

commit 4cea119e56649c61355ea36f79cefb0adac69a97
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: add GgitConfigEntry

M	docs/reference/libgit2-glib-1.0-docs.sgml
M	docs/reference/libgit2-glib-1.0-sections.txt

commit c4fc58f17e103a7cca51da57dae14726dd31394b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: add missing commit get_nth_ancestor method

M	docs/reference/libgit2-glib-1.0-sections.txt
M	libgit2-glib/ggit-commit.c

commit 2e1134526adee7b0d21097c7fd1578cdffe47d0a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: add GgitCloneOptions

M	docs/reference/libgit2-glib-1.0-docs.sgml
M	docs/reference/libgit2-glib-1.0-sections.txt

commit e681655e991637a43c563400160711bc3a5964ee
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: add GgitBranch

M	docs/reference/libgit2-glib-1.0-docs.sgml
M	docs/reference/libgit2-glib-1.0-sections.txt

commit 51bfc652c63a95e807b636a5b3f52e741c5f5d1b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: autogenerate types

M	docs/reference/Makefile.am
D	docs/reference/libgit2-glib-1.0.types

commit 6d6cdbcce287a77393178286164b539674680485
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-04-01

    docs: several fixes

M	docs/reference/Makefile.am
M	docs/reference/libgit2-glib-1.0-sections.txt

commit a62a26241d2351065b43139e989890d6de444db3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-31

    Fix doc warnings

M	libgit2-glib/ggit-types.h

commit c9e7767c8946422baebad39a611c886aed61fd53
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-31

    push: the remote is a boxed

M	libgit2-glib/ggit-push.c

commit 6e01869ba21d0323d074a40234c507658cdb3691
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-31

    Fix error set

M	libgit2-glib/ggit-branch.c

commit 26f02d941628592237706c4557bffc684a062e0d
Author: James Liggett <jrliggett@cox.net>
Date:	2013-03-28

    Fix documentation build (bgo #696823)

M	docs/reference/libgit2-glib-1.0-docs.sgml
M	docs/reference/libgit2-glib-1.0-sections.txt
M	docs/reference/libgit2-glib-1.0.types

commit f62234323294d3874d4cd5e78bf5b700b3370276
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-30

    branch: fix return for is_head method

M	libgit2-glib/ggit-branch.c

commit 934f63edfdd87b65a8f91bc3343476241d94848d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-28

    Add get methods to TransferProgress

M	examples/clone.c
M	libgit2-glib/ggit-transfer-progress.c
M	libgit2-glib/ggit-transfer-progress.h
M	libgit2-glib/ggit-types.h

commit 050f073b96627608e73790fb171255f4291040a5
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-28

    Make GgitTransferProgress a boxed type.

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-transfer-progress.c
A	libgit2-glib/ggit-transfer-progress.h

commit cf677660c659f78855c898797f330927f0bc7ec3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-26

    Add ggit_repository_get_ahead_behind

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit b3cc0584cd2d825f90b5413baa1e1b0203718ef7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-25

    Add ggit_get_capabilities

M	libgit2-glib/ggit-main.c
M	libgit2-glib/ggit-main.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 47811ee5ace36f2f8934c7e5d3d51dae6e6243d6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-21

    Missing check before freeing clone options

M	libgit2-glib/ggit-repository.c

commit c3cd007d06c347b585143f878afb52e0bd767b5d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-20

    Dup clone options

M	libgit2-glib/ggit-repository.c

commit b37264c083baa4f24526d77e9164790ae779c0c2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-20

    Add missing files to main include

M	libgit2-glib/ggit.h

commit 836b606da859a0efd5fc135ba9ecb4c8ba72897c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-20

    Add clone example

M	examples/Makefile.am
A	examples/clone.c

commit dbf771c1377167424d2b16ecc13bba9a939b8c51
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-19

    Add initial clone support.

    Some of the members in git_clone_options are still missing.

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-clone-options.c
A	libgit2-glib/ggit-clone-options.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit b944a55038c20f75e49f533dc3f428212af870f2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-20

    Add a common type for credential classes.

M	libgit2-glib/Makefile.am
M	libgit2-glib/ggit-cred-plaintext.c
M	libgit2-glib/ggit-cred-plaintext.h
A	libgit2-glib/ggit-cred.c
A	libgit2-glib/ggit-cred.h
M	libgit2-glib/ggit-types.h

commit 2e32570e3d8f5d1844ee79cb736273118f4dd8c9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-20

    Add GgitCredPlaintext

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-cred-plaintext.c
A	libgit2-glib/ggit-cred-plaintext.h

commit 34e11b751abb3104aaf7fb42f0726e24e35d96bb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-20

    Add GgitTransferProgress

M	libgit2-glib/ggit-types.h

commit 1bdaf1a7dc2436f435ff29e03273f18b71b5bfc6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-20

    Add GgitRemoteDownloadTagsType

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 11651652580d132329c92d94fa4974ac0e0abf4a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-19

    repository: minor cleanup

M	libgit2-glib/ggit-repository.c

commit ffdc5fd88f1e6a614c17119517ed0809cfbdb75d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-15

    Bind ggit_branch_is_head

M	libgit2-glib/ggit-branch.c
M	libgit2-glib/ggit-branch.h

commit 0cfa9cb151af54752760beb26e935886094d21a9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-15

    Bind ggit_branch_get_name

M	libgit2-glib/ggit-branch.c
M	libgit2-glib/ggit-branch.h

commit 49691f3d0e779ababf22862105d9f3f821705655
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-10

    Right names for documentation

M	libgit2-glib/ggit-types.h

commit 7daee1a77a0dfc83f17ec8942615083382f63a72
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-10

    Put doc in the right position

M	libgit2-glib/ggit-types.h

commit 9cdb57ab39616d867945596e74af04b454ff9998
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-03-08

    Update for api changes

M	libgit2-glib/ggit-branch.c
M	libgit2-glib/ggit-branch.h
M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit c4f100f5499dba35f359a2cc4a912fc79ed5ada3
Author: Jesse van den Kieboom <jessevdk@gmail.com>
Date:	2013-03-03

    Update for changes to diff flags in git2

M	libgit2-glib/ggit-diff-delta.c
M	libgit2-glib/ggit-diff-delta.h
M	libgit2-glib/ggit-diff-file.c
M	libgit2-glib/ggit-diff-file.h
M	libgit2-glib/ggit-diff-options.c
M	libgit2-glib/ggit-diff-options.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 135c5761075f875287960f9f7f461645e7b0e6f1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-02-16

    tree: dup the entry and free it ourselves.

    The reason is that we might want to store the item in a list
    and then use it. If we do not keep the ref and entry ourselves
    we get corrupted data.

M	libgit2-glib/ggit-tree.c

commit 9e2744e87a8632109bfe0b72a23cd01e41c22a88
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2013-01-14

    Add missing annotation

M	libgit2-glib/ggit-diff-file.c

commit f18c395550ed4074466fc5ac183502eb7daa161c
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2013-01-14

    diff: allow to pass NULL callbacks to not use them and NULL blobs

M	libgit2-glib/ggit-diff.c

commit 3dd5a3240ec04014fb8f153dbd0ec1bde2ddd83e
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2013-01-14

    Missing error parameter.

M	libgit2-glib/ggit-tree.c
M	libgit2-glib/ggit-tree.h

commit c0b8654991e3e527b311a5308af7829d9c7031d3
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2013-01-13

    Bind ggit_tree_entry_by_path

M	libgit2-glib/ggit-tree-entry.c
M	libgit2-glib/ggit-tree-entry.h
M	libgit2-glib/ggit-tree.c
M	libgit2-glib/ggit-tree.h

commit 924cc652a95b1403b960aa6c6ff74de1f94c1dae
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2013-01-13

    ggit_tree_get_by_file rename got by_name.

    We are searching for a file name for for a path.

M	libgit2-glib/ggit-tree.c
M	libgit2-glib/ggit-tree.h

commit df5ca1c8027dd84634336da4c385c7d1e7e7513b
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2013-01-13

    ggit_tree_get_by_file: return null if path does not exists

M	libgit2-glib/ggit-tree.c

commit 4f9e6653f2409c7073dda9beae6417156579164e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2013-01-08

    Bind ggit_diff_blob_to_buffer

M	libgit2-glib/ggit-diff.c
M	libgit2-glib/ggit-diff.h

commit c06b85f9f49c38b81a50c3b9241169dbf569b20d
Author: Javier Jardón <jjardon@gnome.org>
Date:	2013-01-04

    Adapt to changes in libgit2 api

M	docs/reference/libgit2-glib-1.0-sections.txt
M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 07f2cba7be4ba87ba73e8eaf5c04bcc2dabc8278
Author: Ignacio Casal Quinteiro <ignacio.casal@nice-software.com>
Date:	2012-12-19

    Fix diff api break.

M	libgit2-glib/ggit-diff.c
M	libgit2-glib/ggit-diff.h

commit 8bda90af43b795c353a254c5f8edbd72c0ec911d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-12-16

    diff: options prefix type has changed to const.

M	libgit2-glib/ggit-diff-options.c

commit df6d4e54e6aa23cae6cfa28f6301cfe337b6c592
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-12-11

    Bind push.

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-push.c
A	libgit2-glib/ggit-push.h
M	libgit2-glib/ggit-types.h

commit 1970545068777db4021168b3b66918d65190bb8b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-12-04

    Fix walk example

M	examples/walk.c

commit 99413ed642135e82c0e83209bbea4872b208b820
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-12-04

    Update repository to new api

M	libgit2-glib/ggit-repository.c

commit 77d5284720fdc28c9b4ea241d50ba55243a2f208
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-12-04

    Update submodule to new api

M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-submodule.h

commit c8453578843bcc7061685e7f20e9c9ba9a099237
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-12-04

    Update tag to new api

M	libgit2-glib/ggit-tag.c

commit bb0c3bf0b139f2fb19e302850097362caccfc653
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-12-04

    Update reflog to new api.

M	libgit2-glib/ggit-reflog-entry.c
M	libgit2-glib/ggit-reflog-entry.h
M	libgit2-glib/ggit-signature.c
M	libgit2-glib/ggit-signature.h

commit 11fa8b299aed7e13452cf91f3558fafa73b9139a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-12-04

    Add new reset enum.

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit fe89333742e4bbb487a42431107003626d90274b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-12-04

    Use the new api for the ref.

    See the fixme comment. We should make a difference between
    direct refs and symbolic refs.

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h

commit 5557d9991721952eeec8d2b0319ec9331929b540
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-12-04

    Update index entry to new api

M	libgit2-glib/ggit-index-entry.c
M	libgit2-glib/ggit-index-entry.h

commit 40e42a92ec580c653eb89db3b9c6319a12843a45
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-12-04

    Update tree to new api

M	libgit2-glib/ggit-tree.c
M	libgit2-glib/ggit-tree.h

commit 20b6fdb84ad939612e2a075af577d854b25f55ef
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-12-04

    Update diff to new api

M	libgit2-glib/ggit-diff.c
M	libgit2-glib/ggit-diff.h

commit cb5eb8f48a0ef68d390871b6dc3fcd82f27fa652
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-12-03

    Port commit and config to new api

M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-config.h

commit dde3629252fc4901182964869bf3d4982f46a9ec
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-11-04

    Missed this one in the previous commit.

M	libgit2-glib/ggit-signature.c

commit 50f9c3492a7af16384f9a211423a0ee8162e1e32
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-11-04

    GTimeZone is already introspectable.

M	libgit2-glib/ggit-signature.c

commit 9f11ef711851a2b7848e1bd59e1df24d80c88898
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-11-04

    Set property at construction.

    Also we set the native destruct func in the init,
    so it is set no matter what.

M	libgit2-glib/ggit-index.c

commit c82c9de1f05962c5556cfc4ed008ab304a154f3d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-11-04

    Use dipose to unref the file

M	libgit2-glib/ggit-index.c

commit 30b9d816c4c0aced2db520b3799122ba6046b47a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-11-04

    Standarize wrap vs new. Use wrap everywhere.

M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-diff-file.c
M	libgit2-glib/ggit-index-entry-resolve-undo.c
M	libgit2-glib/ggit-index-entry-resolve-undo.h
M	libgit2-glib/ggit-index-entry.c
M	libgit2-glib/ggit-index-entry.h
M	libgit2-glib/ggit-index.c
M	libgit2-glib/ggit-object.c
M	libgit2-glib/ggit-oid.c
M	libgit2-glib/ggit-oid.h
M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-reflog-entry.c
M	libgit2-glib/ggit-reflog-entry.h
M	libgit2-glib/ggit-reflog.c
M	libgit2-glib/ggit-reflog.h
M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-revision-walker.c
M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-submodule.h
M	libgit2-glib/ggit-tag.c
M	libgit2-glib/ggit-tree-entry.c
M	libgit2-glib/ggit-tree-entry.h
M	libgit2-glib/ggit-tree.c

commit d8c2e935acfc9cafc40110e931d4287fc03bab0d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-11-04

    Add ggit_remote_new.

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit 8aa20473325cc7fd3dae6aceed2081a289f26743
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-11-04

    Rename remote_new to remote_wrap

M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h
M	libgit2-glib/ggit-repository.c

commit 204c21ee3a40e82efdd970fb33855245c23da69b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-11-01

    Bind ggit_config_refresh

M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-config.h

commit 4071298e150508d8ce67dd4ca9f05bdd9c8efa25
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-31

    LGPL instead of GPL

M	libgit2-glib/ggit-config-entry.c
M	libgit2-glib/ggit-config-entry.h

commit 5a5eb0526e95df1020bffc2590eb1f46c40af6a3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-31

    Check that the entry exists before wrapping it.

M	libgit2-glib/ggit-index-entry.c

commit 348e7595c4dc38f0554a8589bf682d75c9f23b7f
Author: Jesse van den Kieboom <jessevdk@gnome.org>
Date:	2012-10-30

    Update for changes in index API

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-index-entry-resolve-undo.c
A	libgit2-glib/ggit-index-entry-resolve-undo.h
D	libgit2-glib/ggit-index-entry-unmerged.c
D	libgit2-glib/ggit-index-entry-unmerged.h
M	libgit2-glib/ggit-index-entry.c
M	libgit2-glib/ggit-index-entry.h
M	libgit2-glib/ggit-index.c
M	libgit2-glib/ggit-index.h
M	libgit2-glib/ggit-types.h
M	libgit2-glib/ggit.h

commit 2b957448f46da1cad5db54b68155ca60a8c0d0e4
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-10-30

    Fix doc string for annotation of ggit_repository_stash_foreach

M	libgit2-glib/ggit-repository.c

commit 8b18ecb638a238972b99684747496d3c1e3689a9
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-10-30

    Correct reference to ggit_repository_stash_foreach in doc

M	libgit2-glib/ggit-types.h

commit a4d2995f1f69010c60053f1ec1111186619e69b9
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-10-30

    Use user_data instead of data consistently for callback user data

M	libgit2-glib/ggit-types.h

commit 8e98e3e4a4e1df8723440efe16e995c25cc38e5a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-30

    Fix submodule_foreach

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-types.h

commit af4b399203d894648f709332b585a067cc4b2198
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-30

    Add stash api

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit bbfa917a1beb9eac3df7f1c34db47f588ca27b4e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-30

    Depend on python 3.2.3

M	configure.ac
M	libgit2-glib/Ggit.py

commit e7c8278d00ce9494ea80c09ab47270a536b9494b
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-10-30

    Added config find functions

M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-config.h

commit 52a7a65e6d82a648b8ef23f7758318d22a09f608
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-10-30

    Made config API a little bit more like the original libgit2 API

    There are now 3 constructors:
    ggit_config_new
    ggit_config_new_default
    ggit_config_new_from_file

    ggit_config_new_default replaces ggit_config_new

M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-config.h

commit fa7914e199dbd3966bb8f5bc3ed1731ced6599c7
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-10-30

    Added missing variable initialization

M	libgit2-glib/ggit-config.c

commit f45679573ce51dc519ed56ee455c95b714c815ff
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-10-30

    Rename to config_entry_level to config_entry_get_level

M	libgit2-glib/ggit-config-entry.c
M	libgit2-glib/ggit-config-entry.h

commit 2818020a29cfbe5be86c33d9527a1f08344d440f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-30

    Fix GgitConfig

    Missing the new methods

M	libgit2-glib/ggit-config-entry.c
M	libgit2-glib/ggit-config-entry.h
M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-config.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit a47c69ce53e5733cf465d35e673b7474a0e6d150
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-29

    Add new boxed type GgitConfigEntry

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-config-entry.c
A	libgit2-glib/ggit-config-entry.h

commit 3dd66d2854ff850b5c9f059beb4f995c3e106f3c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-29

    Add new GgitConfigLevel enum

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 8a977106fa579bc137de27048e56642db1251f1a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-20

    Add missing status enum types

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 4b058b70cde3a23f11bfa3d9ff5226881d30aee7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-20

    strarray is separated from common so include the new header

M	libgit2-glib/ggit-utils.h

commit 98ff6d60e26235f419a25573589c97fcacbb3b9c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-17

    Update docs of ggit_tree_entry_get_file_mode

M	libgit2-glib/ggit-tree-entry.c

commit ab3e15eeb11716764d76f2ba4bf50114245ed070
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-10-16

    More completeness in the submodules

M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-submodule.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit f9f06619056d860c8f9260343ddac772c3735473
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-10-03

    Add to EXAMPLE_PROGS instead of redefining it

M	examples/Makefile.am

commit 507e82736300363b1bac3460b6fad32e07936135
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-10-03

    Always use string format with g_message

M	examples/general.c

commit 03914c4fa4bf429bde57a7a0950381825899e812
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-09-29

    ggit_tree_entry_get_attributes renamed as get_file_mode

M	libgit2-glib/ggit-tree-entry.c
M	libgit2-glib/ggit-tree-entry.h
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit dd7500f8c4fd0850a97b089eae443208e8523b8f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-09-29

    Fix diff wrapping

M	libgit2-glib/ggit-diff-delta.c
M	libgit2-glib/ggit-diff-delta.h
M	libgit2-glib/ggit-diff-file.c
M	libgit2-glib/ggit-diff-file.h
M	libgit2-glib/ggit-diff-range.c
M	libgit2-glib/ggit-diff-range.h
M	libgit2-glib/ggit-diff.c

commit 5238a7805505f5f50d84b1f4f75f188bff9cf430
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-09-29

    Fix submodule status.

    Still missing the documentation

M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 251dcf28ef951bb5708391e861c2048369092469
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-09-29

    GIT_REVWALKOVER was renamed to GIT_ITEROVER

M	libgit2-glib/ggit-revision-walker.c
M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit 4d692c0d8fbd916382196aabaf4682074f8d6663
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-09-29

    Make the submodule api to build again.

    See that we still need to add the missing api, update the docs
    and fix the foreach_submodule as it seems inconsistent with
    the rest of the API. I sent a mail to the list asking for
    help on this issue.

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-submodule.h

commit 205351c2de4aebe88d623c119f47c16d7b77594b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-09-29

    Wrap a branch if the ref is branch in the lookup_reference

M	libgit2-glib/ggit-repository.c

commit 3079a98d4bc44e79e87d23d01c6809f258cf91d7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-09-29

    Add missing includes

M	libgit2-glib/ggit-branch.c

commit 1a840722edd72315c84e2fc501534c769bb77fe6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-09-22

    Fix branch binding due to once again api breaks in libgit2

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-branch.c
A	libgit2-glib/ggit-branch.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 31fe78baa72a76d7b0942d82e6ed8667c99f0f76
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-07-30

    Fix to build against latest libgit2

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 8e9e40175eef2ff6fd8b6019423feccb969c7198
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-07-30

    Add generated enum files to .gitignore

M	.gitignore

commit 3b4d1250294a090e8de989a45f0d71278b14d0b9
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-07-19

    Generate enum types

M	configure.ac
M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-enum-types.c.template
A	libgit2-glib/ggit-enum-types.h.template
M	libgit2-glib/ggit.h

commit e7fbd4bd535bc22f4e79e2bef8776cf8fc983767
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:	2012-07-18

    Require gio-2.0 in pkg-config file

    Without this, app developer will have to explicitly add
    `pkg-config --libs gio-2.0` to linker flags.

M	libgit2-glib-1.0.pc.in

commit 94835550368280b6ef00e1626850f88aaa3d5dc2
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-07-17

    Make ggit_blob_get_raw_content bindings friendly

M	libgit2-glib/ggit-blob.c
M	libgit2-glib/ggit-blob.h

commit 6aed57555836113a00d973b8e5665de0b3eea604
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-07-17

    Fix documentation for error indicating it can be NULL

M	libgit2-glib/ggit-tree.c

commit 5afef9334e36ace8ebf6310bf364054cf84dd5fe
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-07-17

    Added bindings for git_tree_walk

M	libgit2-glib/ggit-tree.c
M	libgit2-glib/ggit-tree.h
M	libgit2-glib/ggit-types.h

commit 7cecf79826983722fba37b2ea91c2de51ac86ac2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-07-12

    Bind ggit_commit_get_nth_ancestor

M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-commit.h

commit ccea9edd96664403a6a27d7e1a12b62b04df2dca
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-07-12

    Bind ggit_ref_get_remote_tracking_from_branch

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h

commit 4d43f98d7f31a54f26959564fe028401111a55e8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-07-12

    Update ggit_repository_set_workdir to latest git2 api

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 186b8193b27a7e7332c288cfd64f68401f7c18ef
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-07-12

    Added missing transfer annotation on ggit_repository_revparse

M	libgit2-glib/ggit-repository.c

commit 36dccdaafb337c72a3fdf53504e23a5ef988ab3e
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-07-12

    Add ggit_repository_revparse

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 5700adcd32e35ddbe2ff7342a0fd8ac9267e120c
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-07-12

    Use a switch to convert native object to ggit object type

M	libgit2-glib/ggit-utils.c

commit 126ebcbfd2c98fe69e04af438499590d21683de3
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-07-10

    Do not allow setting NULL workdir for repository

M	libgit2-glib/ggit-repository.c

commit 3b57c9bbfef063613064a0dcad485c547d0e55aa
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-07-09

    Added missing array length parameters on callbacks

M	libgit2-glib/ggit-types.h

commit 376b18b500e1548170a858bb56fde86005fc463a
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-07-09

    Added transfer annotations on diff delta getters

M	libgit2-glib/ggit-diff-delta.c

commit 553dcc25612e46a3b870b2ac9418ae9e4175ae7f
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-06-25

    Update to libgit2 changes

    git_branch_list() was replaced with git_branch_foreach()

M	docs/reference/libgit2-glib-1.0-sections.txt
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit 796b16a113c34bc38388a9b2b846e55bc070b02b
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-06-13

    Added ggit_remote_list()

M	docs/reference/libgit2-glib-1.0-sections.txt
M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h
M	libgit2-glib/ggit-types.h

commit db7f2694c7725f98713e709296af03fc467c43b3
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-06-13

    Added GgitRefSpec

M	docs/reference/libgit2-glib-1.0-docs.sgml
M	docs/reference/libgit2-glib-1.0-sections.txt
M	docs/reference/libgit2-glib-1.0.types
M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-ref-spec.c
A	libgit2-glib/ggit-ref-spec.h
M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h
M	libgit2-glib/ggit-types.h
M	libgit2-glib/ggit.h

commit 09bdcc281f1c54fccea63b6c7749b8d334c3470a
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-06-13

    Added ggit_remote_is_supported_url()

M	docs/reference/libgit2-glib-1.0-sections.txt
M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h

commit 7d172fbc30e7f2062faabf2b961b58ee38a43bdd
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-06-09

    Fix building documentation

M	configure.ac
M	docs/reference/Makefile.am
A	docs/reference/libgit2-glib-1.0-docs.sgml
M	docs/reference/libgit2-glib-1.0-sections.txt
M	docs/reference/libgit2-glib-1.0.types
D	docs/reference/libgit2-glib-docs.sgml
M	libgit2-glib/ggit-blob.h
M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-commit.h
M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-config.h
M	libgit2-glib/ggit-diff-delta.h
M	libgit2-glib/ggit-diff-file.h
M	libgit2-glib/ggit-diff-options.h
M	libgit2-glib/ggit-diff-range.h
M	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-error.h
M	libgit2-glib/ggit-index-entry-unmerged.c
M	libgit2-glib/ggit-index-entry-unmerged.h
M	libgit2-glib/ggit-index-entry.c
M	libgit2-glib/ggit-index-entry.h
M	libgit2-glib/ggit-index.h
M	libgit2-glib/ggit-native.h
M	libgit2-glib/ggit-object-factory-base.h
M	libgit2-glib/ggit-object-factory.c
M	libgit2-glib/ggit-object-factory.h
M	libgit2-glib/ggit-object.h
M	libgit2-glib/ggit-oid.h
M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h
M	libgit2-glib/ggit-reflog-entry.c
M	libgit2-glib/ggit-reflog-entry.h
M	libgit2-glib/ggit-reflog.c
M	libgit2-glib/ggit-reflog.h
M	libgit2-glib/ggit-remote.c
M	libgit2-glib/ggit-remote.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-revision-walker.h
M	libgit2-glib/ggit-signature.h
M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-submodule.h
M	libgit2-glib/ggit-tag.c
M	libgit2-glib/ggit-tag.h
M	libgit2-glib/ggit-tree-entry.h
M	libgit2-glib/ggit-tree.h
M	libgit2-glib/ggit-types.h

commit c4a3376bd192dc030863b766ebf4af4854bbdf05
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-06-08

    Assert that enums have the same value as libgit2 enums

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-types.c
M	libgit2-glib/ggit-types.h

commit f5f6418402b60b78681a03a6151d33fc458e8a61
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-06-08

    Fix ggit_index_initable_init()

M	libgit2-glib/ggit-index.c

commit 77907eaf57521d105e525aefd852e137a697e146
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-06-08

    Add forgotten argument to printf call

M	examples/walk.c

commit 6ba2afe8f036886cd81ba52a13a7b5237854a8f2
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-06-08

    Added ggit_repository_reset()

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit 4ff40f7256b902f323dc09c1ed8d19ae32af1c31
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-05-29

    Add doap file

A	libgit2-glib.doap

commit c1914ca3b1cbbcd77b3e457f18acdc44fa35cc4d
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-27

    Cleanup and update ggit-type.h

    This sorts the file by structs, enums and then callbacks and
    all fills in some missing information for a few enums.

M	libgit2-glib/ggit-types.h

commit ad2e1d60b2cb0bda9775328dd5ebd74663579f19
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-27

    Added ggit_repository_get_remote()

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 77ac416ec58797ea60366cc75743e2ccbbedc562
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-27

    Update required glib and libgit

M	configure.ac

commit cb924e840ee8ca6781e0b0891e3dcfc71b2aa8b4
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-27

    Only use GDateTime and GTimeZone in GgitSignature

M	libgit2-glib/ggit-signature.c
M	libgit2-glib/ggit-signature.h

commit cc52f0387d5b38fc3d1db33ee3289fe98b24b33a
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-27

    Added ggit_init()

    This is needed to call ggit_threads_init()

M	examples/general.c
M	examples/walk.c
M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-main.c
A	libgit2-glib/ggit-main.h
M	libgit2-glib/ggit.h
M	tests/repository.c

commit f7a684ccfd890a068bc17af1f47b32f556e7ef35
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-27

    Added ggit_config_{get,set}_int{32,64}()

M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-config.h

commit dc06b41850e7633f75ad6034a1d6b1330f9b4713
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-27

    Update ggit_blob_get_raw_size() to return a gsize

    libgit2 used to return an int now it returns a size_t.

M	libgit2-glib/ggit-blob.c
M	libgit2-glib/ggit-blob.h

commit 50ce60af8d954012fa82b02fe309b908ae828e82
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-26

    Added ggit_signature_get_time_zone()

    This can be used with the GDateTime returned by
    ggit_signature_get_time_zone().

M	libgit2-glib/ggit-signature.c
M	libgit2-glib/ggit-signature.h

commit fb3523050fe0c34cb75039fa6c94f0ac6ddeec5d
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-26

    Set the error even if it is an GGIT_ERROR_NOTFOUND

    Otherwise ggit_repository_open() can return NULL but error
    will not be set which is invalid.

M	libgit2-glib/ggit-error.c

commit b59a043d0fc6f8da0bcbcefcfa462be236967528
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-26

    A few style cleanups

M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-config.h
M	libgit2-glib/ggit-convert.c
M	libgit2-glib/ggit-convert.h
M	libgit2-glib/ggit-error.c
M	libgit2-glib/ggit-index.c
M	libgit2-glib/ggit-native.c
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-signature.c
M	libgit2-glib/ggit-signature.h
M	libgit2-glib/ggit-submodule.c
M	libgit2-glib/ggit-tree-entry.h
M	libgit2-glib/ggit-types.h
M	tests/Makefile.am
M	tests/repository.c

commit 3a1d7a239357721cac2ac4fb9cd817e9f1b589eb
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-26

    Add an example that walks and prints a repository

M	.gitignore
M	examples/Makefile.am
A	examples/walk.c

commit 8fc71a5897eb557bbc030ff577eb8fd0d442001e
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-26

    Make GgitIndex a GgitNative

M	libgit2-glib/ggit-index.c
M	libgit2-glib/ggit-index.h

commit b0b5d712dcf80c024385710a5f0ac0e0be0a6e9a
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-26

    Fix ggit_revision_walker_next() to not set an invalid error

    Do not set the error when the walk is over.

M	libgit2-glib/ggit-revision-walker.c

commit 46fcad548da7e7e502bd5cf6a0bce59f43422dc8
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-26

    Make GgitRevisionWalker a GgitNative

M	libgit2-glib/ggit-revision-walker.c
M	libgit2-glib/ggit-revision-walker.h

commit 656779c1ff11ce00991300e912943fd1ff090f22
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-26

    Free the commit's message and subject

M	libgit2-glib/ggit-commit.c

commit 8f1bd3378436fbdbd65a456ac6a937549214b4bf
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-26

    Expose ggit_commit_parents_{ref,unref}()

    They are needed when using ggit_commit_get_parents()

M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-commit.h

commit 02da9d792dc6e58a0bcef7073562d70fc8f3e9b7
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-26

    Make GgitConfig a GgitNative

M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-config.h

commit dae1c4288138c6cfbb3fb64e09d43a783146dfae
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-26

    Add missing includes to ggit.h

M	libgit2-glib/Makefile.am
M	libgit2-glib/ggit.h

commit 1f0a188e5fd27947d8e57156696fc9c4840a38b8
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-26

    Bind reflog

M	libgit2-glib/Makefile.am
M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h
A	libgit2-glib/ggit-reflog-entry.c
A	libgit2-glib/ggit-reflog-entry.h
A	libgit2-glib/ggit-reflog.c
A	libgit2-glib/ggit-reflog.h
M	libgit2-glib/ggit-types.h
M	libgit2-glib/ggit.h

commit 02883c4480b187c409bc47c765cf83f07d753de5
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2012-05-25

    Bind diff

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-diff-delta.c
A	libgit2-glib/ggit-diff-delta.h
A	libgit2-glib/ggit-diff-file.c
A	libgit2-glib/ggit-diff-file.h
A	libgit2-glib/ggit-diff-options.c
A	libgit2-glib/ggit-diff-options.h
A	libgit2-glib/ggit-diff-range.c
A	libgit2-glib/ggit-diff-range.h
A	libgit2-glib/ggit-diff.c
A	libgit2-glib/ggit-diff.h
M	libgit2-glib/ggit-types.h
M	libgit2-glib/ggit-utils.c
M	libgit2-glib/ggit-utils.h
M	libgit2-glib/ggit.h

commit b1f89682ed5deee8c22641f5557208131b38f65e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-05-25

    Make CommitParents ref counted

M	libgit2-glib/ggit-commit.c

commit c35e9d89415cb34338b336df25af6076c1587cec
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-05-25

    Make TreeEntry ref counted

M	libgit2-glib/ggit-tree-entry.c
M	libgit2-glib/ggit-tree-entry.h
M	libgit2-glib/ggit-tree.c

commit 2fa8a1727e6ed3972485014e7fcadf418787c37c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-05-24

    Make the entry/entries unmerged also ref counted

M	libgit2-glib/ggit-index-entry-unmerged.c
M	libgit2-glib/ggit-index-entry-unmerged.h

commit 61cfabac0337ef91110ae97294956f986cf877f0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-05-24

    Use ref/unref for entry/entries.

    This way we avoid so many allocations.

M	libgit2-glib/ggit-index-entry.c
M	libgit2-glib/ggit-index-entry.h

commit f6cf0e885c43da13f041ffeb5b500b80b4385748
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-05-24

    Bind submodule

M	libgit2-glib/Makefile.am
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
A	libgit2-glib/ggit-submodule.c
A	libgit2-glib/ggit-submodule.h
M	libgit2-glib/ggit-types.h

commit 276f79965892631fd130225ef027f3ff6f7636a3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-05-24

    Do not leak the items

M	libgit2-glib/ggit-utils.c

commit 0a6a1290c0e38627853d971746877c1ceed128fd
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-05-23

    Initial bind of the remote

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-remote.c
A	libgit2-glib/ggit-remote.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit cc4f17bfe4a94bad1aec84ad04658cda39b618f6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-05-22

    Bind list_tags

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 5e4ece60b5dccdb9a86e0c657c5afb181b89978b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-05-19

    Bind branches handling

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit 6ff32715af96270135a4663168bc25be6b7a9010
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-05-19

    repository: cleanup

M	libgit2-glib/ggit-repository.c

commit 78b4b320e4d54c755aaa952a92a45e2c5166cccb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-05-19

    Add ggit_utils_get_str_array_from_git_strarray

M	libgit2-glib/ggit-utils.c
M	libgit2-glib/ggit-utils.h

commit 40c81c7d2f3b34f7ccfac840cb5ce48222f53639
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-05-19

    Make it build with latest libgit2.

    The error handling was rewritten and some methods have changed
    the order of the parameters.

M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-error.c
M	libgit2-glib/ggit-index.c
M	libgit2-glib/ggit-oid.c
M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-revision-walker.c
M	libgit2-glib/ggit-signature.c
M	libgit2-glib/ggit-tag.c
M	libgit2-glib/ggit-types.h

commit b9d7c2a00ffac47552f5dc97faf29b18f8bf869b
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-05-01

    Fix gtk-doc cut&paste error

M	libgit2-glib/ggit-revision-walker.c

commit e6febde0ad103fb50e1147ba4402aa164c492b8e
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-05-01

    Update to reflect upstream api change.

    oid_to_string has been renamed to oid_tostr. We keep binding public
    unchanged since we already wrap fromstr as from_string.

M	libgit2-glib/ggit-oid.c

commit 1a17238b82e5d4ab65be78d90f356d2bf4aba912
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-02-14

    Update license in README

M	README

commit 6a19e5187b120107e3e5c0e46ecd6b0254147343
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-02-14

    Relicense as LGPL

M	examples/general.c
M	libgit2-glib/ggit-blob.c
M	libgit2-glib/ggit-blob.h
M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-commit.h
M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-config.h
M	libgit2-glib/ggit-convert.c
M	libgit2-glib/ggit-convert.h
M	libgit2-glib/ggit-error.c
M	libgit2-glib/ggit-error.h
M	libgit2-glib/ggit-index-entry-unmerged.c
M	libgit2-glib/ggit-index-entry-unmerged.h
M	libgit2-glib/ggit-index-entry.c
M	libgit2-glib/ggit-index-entry.h
M	libgit2-glib/ggit-index.c
M	libgit2-glib/ggit-index.h
M	libgit2-glib/ggit-native.c
M	libgit2-glib/ggit-native.h
M	libgit2-glib/ggit-object-factory-base.c
M	libgit2-glib/ggit-object-factory-base.h
M	libgit2-glib/ggit-object-factory.c
M	libgit2-glib/ggit-object-factory.h
M	libgit2-glib/ggit-object.c
M	libgit2-glib/ggit-object.h
M	libgit2-glib/ggit-oid.c
M	libgit2-glib/ggit-oid.h
M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-revision-walker.c
M	libgit2-glib/ggit-revision-walker.h
M	libgit2-glib/ggit-signature.c
M	libgit2-glib/ggit-signature.h
M	libgit2-glib/ggit-tag.c
M	libgit2-glib/ggit-tag.h
M	libgit2-glib/ggit-tree-entry.c
M	libgit2-glib/ggit-tree-entry.h
M	libgit2-glib/ggit-tree.c
M	libgit2-glib/ggit-tree.h
M	libgit2-glib/ggit-types.h
M	libgit2-glib/ggit-utils.c
M	libgit2-glib/ggit-utils.h
M	libgit2-glib/ggit.h
M	tests/repository.c

commit 36d7f3593bb1a70965b703907dafdb8927c794a8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-02-14

    Use LGPL

M	COPYING

commit 5d925c2a7e26e217aa52fd8566f36b533dc1a9c7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-02-09

    docs: add missing generated files

M	docs/reference/libgit2-glib-docs.sgml

commit 2563a5ff69fed9ba9caf110a0e969bfd87ec6311
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-13

    Small code cleanup

M	libgit2-glib/ggit-repository.c

commit dc37256d393e290e09541f6d1b266624161e410d
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-13

    Implement create_tag on repository

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit f386528d6910fdb3eb0286011309d9d950e6b50e
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-13

    Make GgitSignature a GObject

M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-signature.c
M	libgit2-glib/ggit-signature.h
M	libgit2-glib/ggit-tag.c

commit c93fbf60607847ea3c530ca5863a516831f368f3
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-13

    Use g_object_new to chain up factory object construction

    Previously, the ->constructor on the parent class was used and
    the GType was simply replaced by the desired subtype. However,
    this then skips proper construction of the subtype (i.e. no
    constructor and no constructed). This will solve that problem by
    explicitly calling g_object_newv again for the subtype.

M	libgit2-glib/ggit-object-factory.c

commit d57a3f208c17d7fe7635290ad1baa5a05e846bd8
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-10

    Added Ggit.py to EXTRA_DIST

M	libgit2-glib/Makefile.am

commit 515cc88ac21b5c07ea7c9a9e6c04036be928a580
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-02-09

    Update docs

M	docs/reference/libgit2-glib-1.0-sections.txt
M	docs/reference/libgit2-glib-1.0.types

commit 6c26a91a36c091a9655d2d3cbc6c4d8274ec82ac
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-08

    Move forward declaration of GgitIndex to ggit-types.h

M	libgit2-glib/ggit-index-entry-unmerged.h
M	libgit2-glib/ggit-index-entry.h
M	libgit2-glib/ggit-index.h
M	libgit2-glib/ggit-types.h

commit a98ab0b0564d6f0c26d849893daf73636ce76ee4
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-08

    Use get_id instead of get_oid consistently

M	libgit2-glib/ggit-index-entry-unmerged.c
M	libgit2-glib/ggit-index-entry-unmerged.h
M	libgit2-glib/ggit-index-entry.c
M	libgit2-glib/ggit-index-entry.h
M	libgit2-glib/ggit-tag.c
M	libgit2-glib/ggit-tag.h
M	libgit2-glib/ggit-tree.c
M	libgit2-glib/ggit-tree.h

commit 90e43817332cc5718ef81f96e4c64f54a8e040ec
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2012-02-08

    ggit-index: shutup warning

M	libgit2-glib/ggit-index.c

commit da0c3fed9fe14828ba948b0f7ae6db14eb447e47
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Rename TypeFactory to ObjectFactory

M	libgit2-glib/Makefile.am
M	libgit2-glib/ggit-native.c
M	libgit2-glib/ggit-native.h
R058	libgit2-glib/ggit-type-factory-object.c
libgit2-glib/ggit-object-factory-base.c
A	libgit2-glib/ggit-object-factory-base.h
R059	libgit2-glib/ggit-type-factory.c
libgit2-glib/ggit-object-factory.c
A	libgit2-glib/ggit-object-factory.h
D	libgit2-glib/ggit-type-factory-object.h
D	libgit2-glib/ggit-type-factory.h
M	libgit2-glib/ggit.h

commit 0ec34c222da29cbcfc5cbdfc25afc8d9c1051e47
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Moved GgitRevisionWalker type to ggit-types.h

M	libgit2-glib/ggit-revision-walker.h
M	libgit2-glib/ggit-types.h

commit a39d73f648ff44da78d04f7749eceabf93a61688
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Added revision walker to ggit.h

M	libgit2-glib/ggit.h

commit 6fc996f648a4a0597e616cdcc0491a811753e826
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Remove unused IteratorWrapper override helper

M	libgit2-glib/Ggit.py

commit 9963308bc5720bbdfa0e5ed7690228b44da3fed4
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Implemented ggit_ref_lookup convenience function

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h

commit 877295ad73b9eaf337e5240e7aff2baae44d7b2e
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Added error fail checks for GgitRef

M	libgit2-glib/ggit-ref.c

commit 06ce26e7b52fe3e2ee191d2e5ef895cd54ead5eb
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Added override for constructing revision walker

M	libgit2-glib/Ggit.py

commit 7fb735e1eba98ee81faa7f72024cef84b839468e
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Automatically create generators for iter like objects

M	libgit2-glib/Ggit.py

commit 23dd59780ac1a1822704d328799a17b7ef96015b
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Destroy typemap hashtable on finalize

M	libgit2-glib/ggit-type-factory.c

commit 0ead1044b86601bc9653d079b6667070d2fd8504
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Added override to construct RevisionWalker

M	libgit2-glib/Ggit.py

commit b846d50b69e395ac4d1fcbc90fa3b9a8519a207c
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Rename ggit_ref_get_oid to ggit_ref_get_id

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h

commit 054ce6143aabf83084bf60511054e227534c18eb
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Brace on newline

M	libgit2-glib/ggit-types.h

commit b2d4798b22de3cfd370825bf510cc4552b51a9cd
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Added GgitTree

M	libgit2-glib/Makefile.am
M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-commit.h
A	libgit2-glib/ggit-tree-entry.c
A	libgit2-glib/ggit-tree-entry.h
A	libgit2-glib/ggit-tree.c
A	libgit2-glib/ggit-tree.h
M	libgit2-glib/ggit-types.h
M	libgit2-glib/ggit-utils.c
M	libgit2-glib/ggit.h

commit dd80c9b7dbe39b98f9faf65c00938b6a57f6f099
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Added getting subject from commit

M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-commit.h

commit bc3358a9497a2539be18541f0d5cdd825c0308a2
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Remove time functions from commit, use author/committer signature
    instead

M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-commit.h

commit 5ac0b55b5d97ee97d2622533dbedcf7d0e771fd3
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Use GDateTime

M	libgit2-glib/ggit-signature.c
M	libgit2-glib/ggit-signature.h

commit f439dd8b1003d85d318d65833bab2b97430d9478
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Add parents collection for commit

M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-commit.h

commit 77e2f76a22e2d76439a1cd7d5bcfa6ae277ea7f3
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Make signature get encoding

M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-signature.c
M	libgit2-glib/ggit-signature.h

commit a9e821a2f019b5c75bdb0fd847faa397c5525d70
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Make commit message always return in utf8

M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-commit.h

commit a8b74e5ffa70cac26f0a7ad0fe78d051cfaf38e5
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Fix type check for otype_from_gtype of GgitCommit

M	libgit2-glib/ggit-utils.c

commit 17432ba0f86a4bcdac25f34130648391fe6c16ee
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Added ggit_utils_get_gtype_from_otype

M	libgit2-glib/ggit-utils.c
M	libgit2-glib/ggit-utils.h

commit e131de233333e428e07a3c4233709f20bdb4e381
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Added charset encoding conversion utility

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-convert.c
A	libgit2-glib/ggit-convert.h

commit 17288c02f175fd301f32add92e6311a7be953692
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Make GgitObject a GgitNative

M	libgit2-glib/Makefile.am
M	libgit2-glib/ggit-blob.c
M	libgit2-glib/ggit-blob.h
M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-commit.h
D	libgit2-glib/ggit-object-private.h
M	libgit2-glib/ggit-object.c
M	libgit2-glib/ggit-object.h
M	libgit2-glib/ggit-tag.c
M	libgit2-glib/ggit-tag.h
M	libgit2-glib/ggit-utils.c
M	libgit2-glib/ggit-utils.h

commit c37eb96ff807c3e47a654a2b83853b481b4dde31
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Make GgitRef a GgitNative

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h

commit fdccefde6e5b2bddc38f1a48f11890c19f209eb5
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Make _ggit_oid_new accept a const native oid

M	libgit2-glib/ggit-oid.c
M	libgit2-glib/ggit-oid.h

commit 60f19acc83549b8cae0c80a6bbfc53b4fdc9eec2
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Added type macros for boxed types

M	libgit2-glib/ggit-index-entry-unmerged.h
M	libgit2-glib/ggit-index-entry.h

commit 14091708251a361a1947ea163f5c872fe4f31a7e
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Added documentation

M	libgit2-glib/ggit-index.c

commit ca826e77ee402b25ab79c6b758d20c924f07458d
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Make GgitRepository a GgitNative

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit f37e3d9e60616315b1e6fb86809e2e3b057dc808
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Added GgitNative class

    GgitNative is a class that wraps a native pointer and allows to
    register
    a destroy func. This is used later by various classes to clean up
    handling native git2 handles.

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-native.c
A	libgit2-glib/ggit-native.h
M	libgit2-glib/ggit.h

commit d7c9a3b9f6586f706e0d8fe6a28d63f2cc91eaa2
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Added type factory classes

    The type factory allows consumers of ggit to register subtypes to
    be instantiated for certain basetypes (i.e. GgitRepository). This
    allows
    more efficient extension of functionality of some classes.

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-type-factory-object.c
A	libgit2-glib/ggit-type-factory-object.h
A	libgit2-glib/ggit-type-factory.c
A	libgit2-glib/ggit-type-factory.h
M	libgit2-glib/ggit.h

commit 8a93eb714cde12124ff52659637d9d75ac401e16
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-06

    Added modelines

M	libgit2-glib/ggit-index-entry-unmerged.c
M	libgit2-glib/ggit-index-entry-unmerged.h
M	libgit2-glib/ggit-index-entry.c
M	libgit2-glib/ggit-index-entry.h
M	libgit2-glib/ggit-index.c
M	libgit2-glib/ggit-index.h

commit f1de141b78d499f32a3e18a41eccda463485f327
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-02

    Make GgitRepository use GFile

M	examples/general.c
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	tests/repository.c

commit 2a335fe8ebe64be7c77dbefe999f2a622e347487
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-02

    Added GgitRef to_string

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h

commit fd4be83a6e9d2d2c12584b3a93c541dc1fcfbd4c
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-02

    Added convenient python overrides

M	configure.ac
A	libgit2-glib/Ggit.py
M	libgit2-glib/Makefile.am

commit 6a85dcbc0679b382bad838c193b1f1068df4db22
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-02

    Added Jesse to AUTHORS

M	AUTHORS

commit b2152fa118301fa715b2efa56fcf0f3fcd34a273
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-02

    Use const gchar instead of gchar const

M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-index.c

commit 34a66e05f03218c4d04f6dc27643371e67533c46
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-02

    Fallback to git_strerror if git_lasterror doesn't result in anything

M	libgit2-glib/ggit-repository.c

commit 5f27c8017b41dea44798eecfa9ee8be86521f357
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-02

    Fix repository init with missing path

M	libgit2-glib/ggit-repository.c

commit 2a8a0caf3cc3674ba848962eb1a4a9810bdbd467
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-02

    Fix workdir property id

M	libgit2-glib/ggit-repository.c

commit 0f521cfddbbed48a5dcb231067ac086b697216ba
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-02

    Make GgitRef a GObject instead of a GBoxed

M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h
M	libgit2-glib/ggit-repository.c

commit 4b0dd7d36968f3962cfedd7aa54e4c046bebb22f
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-02

    Fix return value of match_foreach

M	libgit2-glib/ggit-config.c

commit 44152ae9e8ad9fba203bb0120514f82a08618339
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-02

    Added missing annotations

M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-types.h

commit 1681de519603f6bb5a5ff0be0e52b5d50f28c0fd
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-02

    Fix assert conditions on error

M	libgit2-glib/ggit-config.c

commit 3dbebb45199ff7de57a5667d45738e8ed2388231
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-02

    Protect against setting NULL file in config

M	libgit2-glib/ggit-config.c

commit 40b285c9849b41db4f01b5e6cd84cc83d1fb923c
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-02

    Fix unref of config file

M	libgit2-glib/ggit-config.c

commit 852f69f942cf1fd455e8c8d99c88ae90314b7038
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-01

    Added wrapper for git_index

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-index-entry-unmerged.c
A	libgit2-glib/ggit-index-entry-unmerged.h
A	libgit2-glib/ggit-index-entry.c
A	libgit2-glib/ggit-index-entry.h
A	libgit2-glib/ggit-index.c
A	libgit2-glib/ggit-index.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit b2a2fe11ed9b3dc2fc8122d23042a9bd08ae042f
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-01

    Added get_config for repository

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 7ebcaae37122e17e09a8342c60fe2ba24afa378f
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-02-01

    Added wrap function for config

M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-config.h

commit 0dcd640d60b72cdfdaeb7f28438fb9f0e0d2633f
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-01-31

    Add "head" repository property

M	libgit2-glib/ggit-repository.c

commit ecf7b08e79e8253ff0f8988c664dcb3b6f25ab44
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-01-31

    Added foreach, match and match_foreach for config

M	libgit2-glib/ggit-config.c
M	libgit2-glib/ggit-config.h
M	libgit2-glib/ggit-types.h

commit 23e266bce3c306458478427717d29883a73bf0b4
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-01-31

    Added GPL stubs to ggit-config.h

M	libgit2-glib/ggit-config.h

commit 5570bd14e860adf2cf395ce6da96f94187403cdc
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-01-31

    Added basic wrapper for git_config

M	libgit2-glib/Makefile.am
A	libgit2-glib/ggit-config.c
A	libgit2-glib/ggit-config.h
M	libgit2-glib/ggit.h

commit 1de3ed625493f30f6244b8f30cf842e20a0dca63
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-01-31

    Added GgitOId hash and equal funcs

M	libgit2-glib/ggit-oid.c
M	libgit2-glib/ggit-oid.h

commit f2da87b7a95302e76b1a4128e2fa368b48f4f854
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-01-31

    Added ggit_repository_references_foreach

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit 753d0c9bf5bf1c563b92f817b5bebc77fe39c59f
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-01-31

    Added ggit_repository_get_head

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 6d2fef3fa929e4f3aea8bcc6f487cf64bd5b3c7b
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-01-31

    Fix toplevel includes in ggit.h

M	libgit2-glib/ggit.h

commit b8ec9e9d6fd8b8e8ec2cd89319ff604bf732dc63
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-01-30

    Added setting workdir

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 7968dade626479b5512d0ed391fdaccce62055a2
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-01-30

    Remove GgitRepositoryPathid

M	examples/general.c
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h
M	tests/repository.c

commit f5b05a34fbc3fcdc6471f3faedb78d3c79d9cb9e
Author: Jesse van den Kieboom <jesse.vandenkieboom@epfl.ch>
Date:	2012-01-30

    Rename _close to _free

M	libgit2-glib/ggit-object.c

commit 555894eea7cdec4a4f9572181d7771e506ef96cc
Merge: cffad80 420fcab
Author: nacho <nacho.resa@gmail.com>
Date:	2011-08-20

    Merge pull request #2 from potyl/patch-1

    Replace occurrences to gedit with libgit2-glib

commit 420fcab80875d1f99d9a3080ddcfbc9b999dcf69
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:	2011-08-21

    Replace occurrences to gedit with libgit2-glib

M	README

commit cffad80eee91618ba3051aa0a6c5d3ce5cf67faf
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-20

    Add more info in README file.

M	README

commit c383322f07cc6cf76b6c7e55afe6b26312def727
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-20

    Wrap revision walker.

M	libgit2-glib/Makefile.am
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
A	libgit2-glib/ggit-revision-walker.c
A	libgit2-glib/ggit-revision-walker.h
M	libgit2-glib/ggit-types.h

commit 8a02407cc9a9a956419db03bb4d828171ea8c6f2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-20

    Wrap status

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-types.h

commit 5e70d0e72e133de45392c2a46194f276917d617b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-17

    Update gitignore

M	docs/reference/.gitignore

commit ef72737d8736e0661129606669a4f9b6cb173e1c
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-17

    repository: add create_symbolic_reference

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit b4a338705b73eba7a819d0931fdc519f5b58d82a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-17

    repository: wrap create_reference

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit 7a603c7d76e2c32db314b44a52e7e2b406f8e7a3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-17

    repository: wrap look_reference

M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h

commit f5c238588f1d1bae4d588773238661f44d6bdc2a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-15

    Add modelines

M	examples/general.c
M	libgit2-glib/ggit-blob.c
M	libgit2-glib/ggit-blob.h
M	libgit2-glib/ggit-commit.c
M	libgit2-glib/ggit-commit.h
M	libgit2-glib/ggit-error.c
M	libgit2-glib/ggit-error.h
M	libgit2-glib/ggit-object-private.h
M	libgit2-glib/ggit-object.c
M	libgit2-glib/ggit-object.h
M	libgit2-glib/ggit-oid.c
M	libgit2-glib/ggit-oid.h
M	libgit2-glib/ggit-ref.c
M	libgit2-glib/ggit-ref.h
M	libgit2-glib/ggit-repository.c
M	libgit2-glib/ggit-repository.h
M	libgit2-glib/ggit-signature.c
M	libgit2-glib/ggit-signature.h
M	libgit2-glib/ggit-tag.c
M	libgit2-glib/ggit-tag.h
M	libgit2-glib/ggit-types.h
M	libgit2-glib/ggit-utils.c
M	libgit2-glib/ggit-utils.h
M	libgit2-glib/ggit.h
M	tests/repository.c

commit 8e77708666bc9c3190feaa1b211b3fe0f46f1b5e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-14

    Add GgitRef to docs

M	docs/reference/libgit2-glib-1.0-sections.txt
M	docs/reference/libgit2-glib-1.0.types
M	docs/reference/libgit2-glib-docs.sgml

commit fe00ff00030696559443ba81eadc0de8d26254c9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-14

    Wrap git_reference

M	libgit2-glib/Makefile.am
M	libgit2-glib/ggit-oid.c
M	libgit2-glib/ggit-oid.h
A	libgit2-glib/ggit-ref.c
A	libgit2-glib/ggit-ref.h
M	libgit2-glib/ggit-types.h

commit a7bce75b7f9decf34f935d2610cd9f4ba87fb33e
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2011-08-14

    Use a fixture to manage the tests

M	tests/repository.c

commit 9ecb80a5bed8af1fb9676b7b0b47b8ca822c60bb
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2011-08-14

    Update .gitignore

M	.gitignore
A	docs/reference/.gitignore

commit 5f761dff001d4b8c3657b1a5614660c435b20baa
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-08-13

    Add a first test for init repo.

M	Makefile.am
M	configure.ac
A	tests/Makefile.am
A	tests/repository.c

commit ff78ab7ab203c42564df9d887b181105333b96a2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-13

    types: fix docs

M	libgit2-glib/ggit-types.h

commit 5f55a0df15dc2a9344ff245371a9708848ea04cb
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-13

    reference: add missing declarations

M	docs/reference/libgit2-glib-1.0-sections.txt
M	libgit2-glib/ggit-blob.h

commit 3cd3d3065f3151955ecb10aa00dea2e04e74d258
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-13

    Rename src as libgit2-glib

M	Makefile.am
M	autogen.sh
M	configure.ac
M	docs/reference/Makefile.am
M	docs/reference/libgit2-glib-1.0-sections.txt
M	docs/reference/libgit2-glib-1.0.types
M	examples/Makefile.am
R100	src/Makefile.am libgit2-glib/Makefile.am
R100	src/ggit-blob.c libgit2-glib/ggit-blob.c
R100	src/ggit-blob.h libgit2-glib/ggit-blob.h
R100	src/ggit-commit.c	libgit2-glib/ggit-commit.c
R100	src/ggit-commit.h	libgit2-glib/ggit-commit.h
R100	src/ggit-error.c	libgit2-glib/ggit-error.c
R100	src/ggit-error.h	libgit2-glib/ggit-error.h
R100	src/ggit-object-private.h	libgit2-glib/ggit-object-private.h
R100	src/ggit-object.c	libgit2-glib/ggit-object.c
R100	src/ggit-object.h	libgit2-glib/ggit-object.h
R100	src/ggit-oid.c	libgit2-glib/ggit-oid.c
R100	src/ggit-oid.h	libgit2-glib/ggit-oid.h
R100	src/ggit-repository.c	libgit2-glib/ggit-repository.c
R100	src/ggit-repository.h	libgit2-glib/ggit-repository.h
R100	src/ggit-signature.c	libgit2-glib/ggit-signature.c
R100	src/ggit-signature.h	libgit2-glib/ggit-signature.h
R100	src/ggit-tag.c	libgit2-glib/ggit-tag.c
R100	src/ggit-tag.h	libgit2-glib/ggit-tag.h
R100	src/ggit-types.h	libgit2-glib/ggit-types.h
R100	src/ggit-utils.c	libgit2-glib/ggit-utils.c
R100	src/ggit-utils.h	libgit2-glib/ggit-utils.h
R100	src/ggit.h	libgit2-glib/ggit.h

commit e92052552a850581e1a8efb479e13c5dd8b71d42
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-13

    Initial version is 0.0.1

M	configure.ac

commit 79aeb3edb47c943c74b2e0874d436d505d539721
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-13

    Add ChangeLog generation

M	Makefile.am

commit 45d7616df03bd27ab982089a40785eb736ba8c08
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-13

    oid: fix docs

M	src/ggit-oid.c

commit 6ca2c4bb51befa1afc02028f8b1d8905f77abe9d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-13

    Add gtk-doc support

M	Makefile.am
M	configure.ac
A	docs/Makefile.am
A	docs/reference/Makefile.am
A	docs/reference/libgit2-glib-1.0-sections.txt
A	docs/reference/libgit2-glib-1.0.types
A	docs/reference/libgit2-glib-docs.sgml
A	docs/reference/version.xml.in
M	src/ggit-types.h

commit 025eb96358604aaa8b1089cca7c0c12f3b55f092
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-08-13

    Wrap get_message_encoding

M	src/ggit-commit.c
M	src/ggit-commit.h

commit 368e6ea2010bc341ad9973dd80df8c34d57e5150
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2011-08-13

    Remove API that was dropped from libgit2

M	src/ggit-commit.c
M	src/ggit-commit.h

commit 34b99d68f5573918d953d287532ecd22cd08d6d9
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2011-08-12

    Use the correct introspection namespace

M	src/Makefile.am

commit 93dd5ef7378a81650b940db800d9824ec20c2868
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2011-08-12

    Fix build

M	src/Makefile.am
M	src/ggit-commit.c

commit 0289da74061f71f35dad8dce51837e20bcc4b5c4
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2011-08-12

    Test against GIT_SUCCESS not 0

M	src/Makefile.am
M	src/ggit-commit.c
M	src/ggit-repository.c

commit 90e0c7a9e839a42b03e846c034883848c942580b
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2011-08-12

    Added INSTALL to .gitignore

M	.gitignore

commit 85992aada956618fcbf387fbba6bc010c4c18df7
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2011-08-12

    Cleanup

A	.gitignore
M	examples/Makefile.am
M	examples/general.c
M	src/Makefile.am
M	src/ggit-blob.c
M	src/ggit-blob.h
M	src/ggit-commit.c
M	src/ggit-commit.h
M	src/ggit-error.c
M	src/ggit-error.h
M	src/ggit-object.c
M	src/ggit-object.h
M	src/ggit-oid.c
M	src/ggit-oid.h
M	src/ggit-repository.c
M	src/ggit-repository.h
M	src/ggit-signature.c
M	src/ggit-signature.h
M	src/ggit-tag.c
M	src/ggit-tag.h
A	src/ggit-types.h
M	src/ggit-utils.c
M	src/ggit-utils.h
M	src/ggit.h

commit 2f116a6075288c4e36b8c9f3cecf8de2097bbbc1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-12

    commit: fix typo

M	src/ggit-commit.c

commit 023ed40e233edf37ec8252ed1aa7b6465a83d9c7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-12

    commit: add ggit_commit_committer and ggit_commit_author

M	src/ggit-commit.c
M	src/ggit-commit.h

commit dae9c34d0b5c3b09be9a73936828007986425387
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-12

    tag: add ggit_tag_tagger

M	src/ggit-tag.c
M	src/ggit-tag.h

commit d74512f195d5bfc6a63a4a6018e6c6d25ae48431
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-12

    signature: add wrap method

M	src/ggit-signature.c
M	src/ggit-signature.h

commit daf9c07d9255bb2830f114fbbb0b227d6f29e457
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-11

    signature: add getters

M	src/ggit-signature.c
M	src/ggit-signature.h

commit 650fa18a1b92ec737b195af8899e51d71ab43600
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-11

    Add wrapper for ggit-signature

M	src/Makefile.am
A	src/ggit-signature.c
A	src/ggit-signature.h

commit 6b1e1ed03a8ceecd7efc99c8c55352f607ba7cc3
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-11

    example: print working dir

M	examples/general.c

commit 0824839d1bc6214d085442204b3b987104006fe0
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-11

    example: add the discover

M	examples/general.c

commit 3f54b15e01b7e5ebb4259a19bf2d0dd9623f7672
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-11

    repository: no need for repository parameter

M	src/ggit-repository.c
M	src/ggit-repository.h

commit 8ccae4515fd28b1a8ea6c54d7bcd3f9510577e72
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-11

    repository: add ggit_repository_discover

M	src/ggit-repository.c
M	src/ggit-repository.h

commit 75599112b809b0e2073fcbf9110e7eb4c3514810
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-11

    Create the real object

M	src/ggit-object.c
M	src/ggit-object.h
M	src/ggit-repository.c
M	src/ggit-tag.c
M	src/ggit-utils.c
M	src/ggit-utils.h

commit 646be3af5a23d234a1becc8b04f0838a411ef150
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-11

    Add ggit-utils

M	src/Makefile.am
M	src/ggit-object.h
M	src/ggit-repository.c
A	src/ggit-utils.c
A	src/ggit-utils.h

commit 2d06affca48bcfda31c5e89c0f63e9d45e0f34a8
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-10

    repository: add ggit_repository_lookup

M	src/ggit-object.h
M	src/ggit-oid.c
M	src/ggit-oid.h
M	src/ggit-repository.c
M	src/ggit-repository.h

commit db19b4d399198c533cbc03ce0b22a81c896f04ba
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-10

    Add single include file.

M	src/Makefile.am
A	src/ggit.h

commit 918cec6e028447ddbe68e582a7414230388b53c6
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-10

    Add wrapper for blob

M	src/Makefile.am
A	src/ggit-blob.c
A	src/ggit-blob.h

commit c73b2630792547d29e574f0f6ab69a935b26fa6a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-10

    Add .pc file

M	Makefile.am
M	configure.ac
A	libgit2-glib-1.0.pc.in

commit f86fbdecb8f862339fd950e3f19395bb7b48eeea
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-10

    Add GgitCommit

M	src/Makefile.am
A	src/ggit-commit.c
A	src/ggit-commit.h

commit a6bd0295992f0527c1466f9dd5a382e066bce3f9
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-09

    tag: add wrapper for git_tag

M	src/Makefile.am
M	src/ggit-object.c
M	src/ggit-object.h
A	src/ggit-tag.c
A	src/ggit-tag.h

commit 9e48b3529dc68318c6998cc7919bccec7f2d4914
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-09

    all: more type renaming

M	src/ggit-object.c
M	src/ggit-object.h
M	src/ggit-oid.h
M	src/ggit-repository.c
M	src/ggit-repository.h

commit 67ec08c35d3e015fa245e9b2f9712346a62ff87f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-09

    repository: show the git error directly

M	src/ggit-repository.c

commit 34aea72bb0f06f0545acde94a5946dacd78a6bea
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-09

    object: add ggit_object_owner

M	src/ggit-object.c
M	src/ggit-object.h

commit 1b3471f5e3cd3a47c89d3322cfdd91457c75a0c2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-09

    repository: add wrapper

M	src/ggit-repository.c
M	src/ggit-repository.h

commit 3af97b7b41d5b8e4d5d2991d801f2591cdb90d2e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-09

    repository: make the properties actually work correctly

M	src/ggit-repository.c

commit 5b332b3a77954a9e7630d41e4a4dd81c9430ef7b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-09

    Rename namespace from GitGlib to Ggit

    It is shorter and makes it more glib likely

M	autogen.sh
M	examples/general.c
M	src/Makefile.am
R074	src/git-glib-error.c	src/ggit-error.c
R065	src/git-glib-error.h	src/ggit-error.h
R093	src/git-glib-object-private.h	src/ggit-object-private.h
R056	src/git-glib-object.c	src/ggit-object.c
R051	src/git-glib-object.h	src/ggit-object.h
R062	src/git-glib-oid.c	src/ggit-oid.c
A	src/ggit-oid.h
R066	src/git-glib-repository.c	src/ggit-repository.c
A	src/ggit-repository.h
D	src/git-glib-oid.h
D	src/git-glib-repository.h

commit 348d74fd9fc0466e5416ca56636c066a70ecc906
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-09

    Add GitGlibObject

M	src/Makefile.am
A	src/git-glib-object-private.h
A	src/git-glib-object.c
A	src/git-glib-object.h

commit dfd7dd6defef04143c4789a0ea23e1cfff9bc12b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-08

    example: fix leak

M	examples/general.c

commit 050247e16bb9ccaa5fb3017f4eadc9c1ac677165
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-08

    Add simple example

M	Makefile.am
M	configure.ac
A	examples/Makefile.am
A	examples/general.c

commit 82576c09c3fac738a54582c6c04a47684882d1a1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-08

    Add introspection

M	configure.ac
M	src/Makefile.am
M	src/git-glib-error.c
M	src/git-glib-oid.c
M	src/git-glib-repository.c
M	src/git-glib-repository.h

commit 4147227c95043483af54c2ab23812b32bdf8feb2
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-08

    Fill up with some basic information

M	AUTHORS
M	README

commit 784e8cd03f986d7cbf24e3ad4d06f34f29111827
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-07

    s/@Returns/Returns

M	src/git-glib-oid.c
M	src/git-glib-repository.c

commit 4f1ca59c95700ea74688189e62f35b124526a1c1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-07

    Add GitGlibOId

M	src/Makefile.am
A	src/git-glib-oid.c
A	src/git-glib-oid.h

commit 5f42d18cf14a6e09e88043da9088430abcb6c54a
Merge: 09aeee0 948c7ee
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-07

    Merge branch 'master' of github.com:nacho/libgit2-glib

commit 09aeee0facb33ac8e6440e629bb9c10a0f74e68f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-07

    Better error handling

M	src/git-glib-error.c
M	src/git-glib-error.h
M	src/git-glib-repository.c

commit 948c7ee016c94b2233ff133cd981db139a91e432
Merge: 8a3f077 f9b7675
Author: nacho <nacho.resa@gmail.com>
Date:	2011-08-07

    Merge pull request #1 from carlosmn/master

    autogen: check for the right source file

commit f9b7675914482640daf787b669f8caea770c36de
Author: Carlos Martín Nieto <carlos@cmartin.tk>
Date:	2011-08-07

    autogen: check for the right source file

    Signed-off-by: Carlos Martín Nieto <carlos@cmartin.tk>

M	autogen.sh

commit 8a3f077c51796d1cd59bde6ce0e70ce9c5900b08
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-07

    Add error managing

M	src/Makefile.am
A	src/git-glib-error.c
A	src/git-glib-error.h
M	src/git-glib-repository.c
M	src/git-glib-repository.h

commit 5bc66fd3bb02a476280eda2d5b2b3165d1325123
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-07

    repository: more methods

    * git_glib_repository_init_repository
    * git_glib_repository_head_orphan
    * git_glib_repository_is_empty
    * git_glib_repository_path
    * git_glib_repository_is_bare

M	src/git-glib-repository.c
M	src/git-glib-repository.h

commit 1d9b4ac91a915ddec050a009456e29bdc1d96444
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-07

    repository: Add documentation

M	src/git-glib-repository.c

commit f920f99437937d10ebf576408d6d52106959b65e
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-06

    repository: add git_glib_repository_head_detached

M	src/git-glib-repository.c
M	src/git-glib-repository.h

commit 0e1d6d0c0e48fcd741dae5ace8702319f0c9e96d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-06

    s/git2/git

M	src/Makefile.am
R056	src/git2-glib-repository.c	src/git-glib-repository.c
A	src/git-glib-repository.h
D	src/git2-glib-repository.h

commit 467ea9203e20eb1bfb57bae49799493c46cfc592
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-06

    repository: stablish class and add git2_glib_repository_open

M	configure.ac
M	src/git2-glib-repository.c
M	src/git2-glib-repository.h

commit 699f690c4c15273162e19d8bd7638e22a3b55c22
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-06

    Prepare repository

A	AUTHORS
A	COPYING
A	ChangeLog
A	Makefile.am
A	NEWS
A	autogen.sh
A	configure.ac
A	src/Makefile.am
A	src/git2-glib-repository.c
A	src/git2-glib-repository.h

commit 7c8b38777cfb353595f2ba6bad2a5a03dce70c3d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:	2011-08-06

    Initial commit

A	README
